<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="/vicazh/analyzer/themes/resources/plugin.xsl" />
	<xsl:template name="analyzer.themes.objects">
		<xsl:call-template name="analyzer.themes.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>original</string>
			</void>
			<void id="s2" method="getString">
				<string>bright</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.Reader">
			<string>/vicazh/analyzer/themes/resources/ithemename.xsl</string>
			<void id="n1" method="getObject">
				<object id="r1" class="java.lang.String">
					<string>/vicazh/analyzer/themes/resources/original/theme.xml</string>
				</object>
			</void>
			<void id="n2" method="getObject">
				<object id="r2" class="java.lang.String">
					<string>/vicazh/analyzer/themes/resources/bright/theme.xml</string>
				</object>
			</void>
		</object>
		<object id="tin" class="java.lang.String">
			<string>/vicazh/analyzer/themes/resources/itheme.xsl</string>
		</object>
		<object idref="themesmap">
			<void method="put">
				<object idref="n1" />
				<object id="analyzer.themes.t1" class="vicazh.hyperpool.IThemeReader">
					<object idref="tin" />
					<object idref="s1" />
					<object idref="r1" />
				</object>
			</void>
			<void method="put">
				<object idref="n2" />
				<object id="analyzer.themes.t2" class="vicazh.hyperpool.IThemeReader">
					<object idref="tin" />
					<object idref="s2" />
					<object idref="r2" />
				</object>
			</void>
		</object>
	</xsl:template>
	<xsl:template name="analyzer.themes">
		<object idref="analyzer.themes.t1" />
		<object idref="analyzer.themes.t2" />
	</xsl:template>
	<xsl:template name="analyzer.themes.default">
		<string>analyzer.themes.original</string>
	</xsl:template>
	<xsl:template name="analyzer.themes.logo">
		<string>/vicazh/analyzer/themes/resources/logo.png</string>
	</xsl:template>
	<xsl:template name="analyzer.themes.logotray">
		<string>/vicazh/analyzer/themes/resources/logotray.png</string>
	</xsl:template>
	<xsl:template name="analyzer.themes.home">
		<string>http://softsweb.com/analyzer</string>
	</xsl:template>
	<xsl:template name="analyzer.themes.splash">
		<xsl:call-template name="analyzer.themes.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>lastname</string>
			</void>
			<void id="s5" method="getString">
				<string>free</string>
			</void>
			<void id="s7" method="getString">
				<string>version</string>
			</void>
		</object>
		<object idref="s7">
			<void method="concat">
				<string>
					<xsl:text> </xsl:text>
				</string>
				<void id="ver" method="concat">
					<object class="vicazh.hyperpool.Start" field="VERSION" />
				</void>
			</void>
		</object>
		<object id="splash" class="vicazh.analyzer.themes.ISplash">
			<object class="javax.swing.JWindow">
				<object idref="frame" />
				<void property="contentPane">
					<void property="layout">
						<null />
					</void>
					<void property="preferredSize">
						<object class="java.awt.Dimension">
							<int>500</int>
							<int>214</int>
						</object>
					</void>
					<void method="add">
						<object class="vicazh.hyperpool.ILabel">
							<object idref="s1" />
							<void property="horizontalAlignment">
								<object class="javax.swing.SwingConstants" field="CENTER" />
							</void>
							<void property="font">
								<object class="java.awt.Font">
									<null />
									<object class="java.awt.Font" field="BOLD" />
									<int>34</int>
								</object>
							</void>
							<void method="setBounds">
								<int>230</int>
								<int>30</int>
								<int>240</int>
								<int>80</int>
							</void>
							<void property="foreground">
								<object class="java.awt.Color">
									<int>51</int>
									<int>98</int>
									<int>140</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="vicazh.hyperpool.ILabel">
							<object idref="ver" />
							<void property="horizontalAlignment">
								<object class="javax.swing.SwingConstants" field="CENTER" />
							</void>
							<void property="font">
								<object class="java.awt.Font">
									<null />
									<object class="java.awt.Font" field="BOLD" />
									<int>20</int>
								</object>
							</void>
							<void method="setBounds">
								<int>230</int>
								<int>64</int>
								<int>240</int>
								<int>80</int>
							</void>
							<void property="foreground">
								<object class="javax.swing.UIManager" method="getColor">
									<string>activeCaption</string>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="labelInfo" class="vicazh.hyperpool.ILabel">
							<object idref="s5" />
							<void property="horizontalAlignment">
								<object class="javax.swing.SwingConstants" field="CENTER" />
							</void>
							<void property="font">
								<object class="java.awt.Font">
									<null />
									<object class="java.awt.Font" field="PLAIN" />
									<int>11</int>
								</object>
							</void>
							<void method="setBounds">
								<int>10</int>
								<int>135</int>
								<int>480</int>
								<int>80</int>
							</void>
							<void property="foreground">
								<object id="color" class="java.awt.Color">
									<int>255</int>
									<int>255</int>
									<int>255</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="vicazh.hyperpool.ILabel">
							<object class="vicazh.hyperpool.Start" field="COPYRIGHT" />
							<void property="horizontalAlignment">
								<object class="javax.swing.SwingConstants" field="CENTER" />
							</void>
							<void property="font">
								<object class="java.awt.Font">
									<null />
									<object class="java.awt.Font" field="PLAIN" />
									<int>9</int>
								</object>
							</void>
							<void method="setBounds">
								<int>10</int>
								<int>150</int>
								<int>480</int>
								<int>80</int>
							</void>
							<void property="foreground">
								<object idref="color" />
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object class="javax.swing.UIManager" method="getIcon">
								<string>splashIcon</string>
							</object>
							<void method="setBounds">
								<int>0</int>
								<int>0</int>
								<int>500</int>
								<int>214</int>
							</void>
						</object>
					</void>
				</void>
				<void method="pack" />
			</object>
		</object>
	</xsl:template>
	<xsl:template name="analyzer.themes.splash.close">
		<object idref="splash">
			<void method="hide" />
		</object>
	</xsl:template>
</xsl:stylesheet>
