<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="theme">
		<java>
			<object id="class" class="java.lang.Class" method="forName">
				<string>vicazh.analyzer.themes.ISplash</string>
				<xsl:for-each select="resource">
					<void method="getResource">
						<xsl:attribute name="id">
							<xsl:value-of select="@key" />
						</xsl:attribute>
						<string>
							<xsl:value-of select="." />
						</string>
					</void>
				</xsl:for-each>
			</object>
			<object class="javax.swing.UIManager" property="lookAndFeel">
				<string>com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel</string>
			</object>
			<xsl:for-each select="color">
				<object class="javax.swing.UIManager" method="put">
					<string>
						<xsl:value-of select="@key" />
					</string>
					<object class="javax.swing.plaf.ColorUIResource">
						<int>
							<xsl:value-of select="@r" />
						</int>
						<int>
							<xsl:value-of select="@g" />
						</int>
						<int>
							<xsl:value-of select="@b" />
						</int>
					</object>
				</object>
			</xsl:for-each>
			<object id="window" class="javax.swing.UIManager" method="getColor">
				<string>nimbusLightBackground</string>
			</object>
			<object class="javax.swing.UIManager" method="getDefaults">
				<void method="putDefaults">
					<array class="java.lang.Object">
						<xsl:for-each select="resource">
							<string>
								<xsl:value-of select="@key" />
							</string>
							<object class="javax.swing.ImageIcon">
								<object>
									<xsl:attribute name="idref">
										<xsl:value-of select="@key" />
									</xsl:attribute>
								</object>
							</object>
						</xsl:for-each>
						<string>name</string>
						<string>
							<xsl:value-of select="@name" />
						</string>
						<string>window</string>
						<object idref="window" />
					</array>
				</void>
			</object>
		</java>
	</xsl:template>
</xsl:stylesheet>
