<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="resources/application.xsl" />
	<xsl:template match="load">
		<java>
			<object class="vicazh.hyperpool.Start" field="SYSTEM_NAME">
				<void id="lowname" method="toLowerCase" />
			</object>
			<object class="java.lang.String">
				<string>.</string>
				<void method="concat">
					<object idref="lowname" />
					<void method="concat">
						<object class="java.io.File" field="separator" />
						<void id="nameuser" method="concat">
							<string>iuser</string>
						</void>
					</void>
				</void>
			</object>
			<object class="vicazh.hyperpool.Reader">
				<string>resources/iuser.xsl</string>
				<void id="user" method="getObject">
					<object id="fileuser" class="java.io.File">
						<object class="java.lang.System" method="getProperty">
							<string>user.home</string>
						</object>
						<object idref="nameuser" />
					</object>
					<object class="vicazh.hyperpool.IUser">
						<void property="bounds">
							<object class="java.awt.Rectangle">
								<int>50</int>
								<int>50</int>
								<int>800</int>
								<int>500</int>
							</object>
						</void>
						<void property="location">
							<int>190</int>
						</void>
						<void property="theme">
							<xsl:call-template name="themes.default" />
						</void>
						<void property="f">
							<object class="java.lang.System" method="currentTimeMillis" />
						</void>
					</object>
					<void method="setOut">
						<object class="vicazh.hyperpool.Writer">
							<string>resources/iusersave.xsl</string>
						</object>
						<object idref="fileuser" />
					</void>
					<void id="bounds" property="bounds" />
					<void id="location" property="location" />
					<void id="theme" property="theme" />
					<void id="tray" property="tray" />
				</void>
			</object>
			<object id="themesmap" class="java.util.HashMap" />
			<xsl:call-template name="objects" />
			<object idref="themesmap">
				<void id="themereader" method="get">
					<object idref="theme" />
					<void method="run" />
				</void>
			</object>

			<object class="javax.swing.JFrame" property="defaultLookAndFeelDecorated">
				<boolean>true</boolean>
			</object>
			<object class="javax.swing.JDialog" property="defaultLookAndFeelDecorated">
				<boolean>true</boolean>
			</object>

			<object id="frame" class="javax.swing.JFrame">
				<object class="vicazh.hyperpool.Start" field="NAME" />
			</object>

			<xsl:call-template name="themes.splash" />

			<xsl:call-template name="hyperpool.bundle" />
			<object idref="bundle">
				<void id="s1" method="getString">
					<string>createSource</string>
				</void>
				<void id="s2" method="getString">
					<string>file</string>
				</void>
				<void id="s3" method="getString">
					<string>open</string>
				</void>
				<void id="s4" method="getString">
					<string>save</string>
				</void>
				<void id="s5" method="getString">
					<string>message</string>
				</void>
				<void id="s6" method="getString">
					<string>description</string>
				</void>
				<void id="s7" method="getString">
					<string>saveAs</string>
				</void>
				<void id="s8" method="getString">
					<string>close</string>
				</void>
				<void id="s9" method="getString">
					<string>exit</string>
				</void>
				<void id="s10" method="getString">
					<string>edit</string>
				</void>
				<void id="s11" method="getString">
					<string>add</string>
				</void>
				<void id="s12" method="getString">
					<string>service</string>
				</void>
				<void id="s13" method="getString">
					<string>group</string>
				</void>
				<void id="s14" method="getString">
					<string>line</string>
				</void>
				<void id="s15" method="getString">
					<string>selector</string>
				</void>
				<void id="s16" method="getString">
					<string>rename</string>
				</void>
				<void id="s17" method="getString">
					<string>delete</string>
				</void>
				<void id="s18" method="getString">
					<string>?</string>
				</void>
				<void id="s19" method="getString">
					<string>about</string>
				</void>
				<void id="s20" method="getString">
					<string>groupSource</string>
				</void>
				<void id="s21" method="getString">
					<string>lineSource</string>
				</void>
				<void id="s22" method="getString">
					<string>start</string>
				</void>
				<void id="s23" method="getString">
					<string>create</string>
				</void>
				<void id="s24" method="getString">
					<string>homePage</string>
				</void>
				<void id="s25" method="getString">
					<string>selectPreset</string>
				</void>
				<void id="s26" method="getString">
					<string>options</string>
				</void>
				<void id="s27" method="getString">
					<string>messageReplace</string>
				</void>
				<void id="s28" method="getString">
					<string>window</string>
				</void>
				<void id="s29" method="getString">
					<string>closeAll</string>
				</void>
				<void id="s30" method="getString">
					<string>tray</string>
				</void>
				<void id="s31" method="getString">
					<string>connect</string>
				</void>
				<void id="s32" method="getString">
					<string>url</string>
				</void>
				<void id="s33" method="getString">
					<string>messageConnection</string>
				</void>
				<void id="s34" method="getString">
					<string>up</string>
				</void>
				<void id="s35" method="getString">
					<string>down</string>
				</void>
                <void id="s36" method="getString">
                    <string>startButton</string>
                </void>
				<void id="s37" method="getString">
					<string>services</string>
				</void>
				<void id="s38" method="getString">
					<string>selectors</string>
				</void>
				<void id="s39" method="getString">
					<string>view</string>
				</void>
				<void id="s40" method="getString">
					<string>homeFolder</string>
				</void>
                <void id="s41" method="getString">
                    <string>cut</string>
                </void>
                <void id="s42" method="getString">
                    <string>copy</string>
                </void>
                <void id="s43" method="getString">
                    <string>paste</string>
                </void>
                <void id="s44" method="getString">
                    <string>delete</string>
                </void>
                <void id="s45" method="getString">
                    <string>all</string>
                </void>
			</object>

			<object id="panelabout" class="javax.swing.JPanel" />
			<void id="owner" property="owner" />
			<object class="java.lang.Class" method="forName">
				<string>vicazh.hyperpool.Reader</string>
				<void id="logores" method="getResource">
					<xsl:call-template name="themes.logo" />
				</void>
				<void id="logotrayres" method="getResource">
					<xsl:call-template name="themes.logotray" />
				</void>
			</object>
			<object id="logoimg" class="javax.swing.ImageIcon">
				<object idref="logores" />
				<void id="logo" property="image" />
			</object>
			<object idref="frame">
				<void property="minimumSize">
					<object class="java.awt.Dimension">
						<int>800</int>
						<int>500</int>
					</object>
				</void>
				<void method="setIconImage">
					<object idref="logo" />
				</void>
				<void property="bounds">
					<object idref="bounds" />
				</void>
				<void property="defaultCloseOperation">
					<object class="javax.swing.JFrame" field="DO_NOTHING_ON_CLOSE" />
				</void>
				<void method="getContentPane">
					<void method="add">
						<object id="pane" class="javax.swing.JSplitPane">
							<object class="javax.swing.JSplitPane" field="HORIZONTAL_SPLIT" />
							<object class="javax.swing.JScrollPane">
								<object id="mtree" class="vicazh.hyperpool.ITree">
									<object id="model" class="vicazh.hyperpool.IModel" />
									<void method="getSelectionModel">
										<void method="setSelectionMode">
											<object class="javax.swing.tree.TreeSelectionModel" field="SINGLE_TREE_SELECTION" />
										</void>
									</void>
									<void property="border">
										<object class="javax.swing.BorderFactory" method="createEmptyBorder">
											<int>5</int>
											<int>5</int>
											<int>5</int>
											<int>5</int>
										</object>
									</void>
								</object>
							</object>
							<object id="mpanel" class="javax.swing.JPanel">
								<object class="java.awt.CardLayout" />
							</object>
							<void method="setDividerLocation">
								<object idref="location" />
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JToolBar">
							<void method="add">
								<object class="vicazh.hyperpool.IButton">
									<string>buttonStartIcon</string>
                                    <null />
                                    <object idref="s36" />
									<void property="toolTipText">
										<object idref="s22" />
									</void>
									<void property="actionCommand">
										<string>start</string>
									</void>
									<void method="addActionListener">
										<object idref="owner" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="addSeparator" />
							<void method="add">
								<object class="vicazh.hyperpool.IButton">
									<string>buttonNewIcon</string>
									<void property="toolTipText">
										<object idref="s23" />
									</void>
									<void property="actionCommand">
										<string>new</string>
									</void>
									<void method="addActionListener">
										<object idref="owner" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="vicazh.hyperpool.IButton">
									<string>buttonOpenIcon</string>
									<void property="toolTipText">
										<object idref="s3" />
									</void>
									<void property="actionCommand">
										<string>open</string>
									</void>
									<void method="addActionListener">
										<object idref="owner" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonsave" class="vicazh.hyperpool.IButton">
									<string>buttonSaveIcon</string>
									<string>buttonSaveDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s4" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="addSeparator" />
							<void method="add">
								<object id="buttonservice" class="vicazh.hyperpool.IButton">
									<string>buttonServiceIcon</string>
									<string>buttonServiceDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s12" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttongroup" class="vicazh.hyperpool.IButton">
									<string>buttonGroupIcon</string>
									<string>buttonGroupDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s13" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonline" class="vicazh.hyperpool.IButton">
									<string>buttonLineIcon</string>
									<string>buttonLineDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s14" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonselector" class="vicazh.hyperpool.IButton">
									<string>buttonSelectorIcon</string>
									<string>buttonSelectorDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s15" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="addSeparator" />
							<void method="add">
								<object id="buttonup" class="vicazh.hyperpool.IButton">
									<string>buttonUpIcon</string>
									<string>buttonUpDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s34" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttondown" class="vicazh.hyperpool.IButton">
									<string>buttonDownIcon</string>
									<string>buttonDownDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s35" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttondel" class="vicazh.hyperpool.IButton">
									<string>buttonDelIcon</string>
									<string>buttonDelDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s17" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="addSeparator" />
							<void method="add">
								<object id="buttonwin" class="vicazh.hyperpool.IButton">
									<string>buttonWinIcon</string>
									<string>buttonWinDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s23" />
									</void>
									<void property="focusPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
				</void>
				<void property="JMenuBar">
					<object class="javax.swing.JMenuBar">
						<void method="add">
							<object class="javax.swing.JMenu">
								<object idref="s2" />
								<void method="add">
									<object class="javax.swing.JMenuItem">
										<object idref="s22" />
										<void property="actionCommand">
											<string>start</string>
										</void>
										<void method="addActionListener">
											<object idref="owner" />
										</void>
									</object>
								</void>
								<void method="addSeparator" />
								<void method="add">
									<object id="menuconnect" class="javax.swing.JMenuItem">
										<object idref="s31" />
									</object>
								</void>
								<void method="addSeparator" />
								<void method="add">
									<object class="javax.swing.JMenuItem">
										<object idref="s23" />
										<void property="actionCommand">
											<string>new</string>
										</void>
										<void method="addActionListener">
											<object idref="owner" />
										</void>
									</object>
								</void>
								<void method="add">
									<object class="javax.swing.JMenuItem">
										<object idref="s3" />
										<void property="accelerator">
											<object class="javax.swing.KeyStroke" method="getKeyStroke">
												<object class="java.awt.event.KeyEvent" field="VK_O" />
												<object class="java.awt.event.InputEvent" field="CTRL_MASK" />
											</object>
										</void>
										<void property="actionCommand">
											<string>open</string>
										</void>
										<void method="addActionListener">
											<object idref="owner" />
										</void>
									</object>
								</void>
								<void method="add">
									<object id="menusave" class="javax.swing.JMenuItem">
										<object idref="s4" />
										<void property="accelerator">
											<object class="javax.swing.KeyStroke" method="getKeyStroke">
												<object class="java.awt.event.KeyEvent" field="VK_S" />
												<object class="java.awt.event.InputEvent" field="CTRL_MASK" />
											</object>
										</void>
									</object>
								</void>
								<void method="add">
									<object id="menusaveas" class="javax.swing.JMenuItem">
										<object idref="s7" />
									</object>
								</void>
								<void method="add">
									<object id="menuclose" class="javax.swing.JMenuItem">
										<object idref="s8" />
										<void method="addActionListener">
											<object idref="owner" />
										</void>
									</object>
								</void>
								<void method="addSeparator" />
								<void method="add">
									<object id="menuexit" class="javax.swing.JMenuItem">
										<object idref="s9" />
									</object>
								</void>
							</object>
						</void>
						<void method="add">
							<object class="javax.swing.JMenu">
								<object idref="s10" />
								<void method="add">
									<object class="javax.swing.JMenu">
										<object idref="s11" />
										<void method="add">
											<object id="menuservice" class="javax.swing.JMenuItem">
												<object idref="s12" />
											</object>
										</void>
										<void method="add">
											<object id="menugroup" class="javax.swing.JMenuItem">
												<object idref="s13" />
											</object>
										</void>
										<void method="add">
											<object id="menuline" class="javax.swing.JMenuItem">
												<object idref="s14" />
											</object>
										</void>
										<void method="add">
											<object id="menuselector" class="javax.swing.JMenuItem">
												<object idref="s15" />
											</object>
										</void>
									</object>
								</void>
								<void method="add">
									<object id="menurename" class="javax.swing.JMenuItem">
										<object idref="s16" />
									</object>
								</void>
								<void method="add">
									<object id="menuup" class="javax.swing.JMenuItem">
										<object idref="s34" />
									</object>
								</void>
								<void method="add">
									<object id="menudown" class="javax.swing.JMenuItem">
										<object idref="s35" />
									</object>
								</void>
								<void method="add">
									<object id="menudel" class="javax.swing.JMenuItem">
										<object idref="s17" />
									</object>
								</void>
							</object>
						</void>
						<void method="add">
							<object class="javax.swing.JMenu">
								<object idref="s28" />
								<void method="add">
									<object id="menuwin" class="javax.swing.JMenuItem">
										<object idref="s23" />
									</object>
								</void>
								<void method="add">
									<object id="menuwincloseall" class="javax.swing.JMenuItem">
										<object idref="s29" />
										<void property="actionCommand">
											<string>close</string>
										</void>
									</object>
								</void>
								<void method="add">
									<object id="menutray" class="javax.swing.JMenuItem">
										<object idref="s30" />
										<void property="accelerator">
											<object class="javax.swing.KeyStroke" method="getKeyStroke">
												<object class="java.awt.event.KeyEvent" field="VK_T" />
												<object class="java.awt.event.InputEvent" field="CTRL_MASK" />
											</object>
										</void>
									</object>
								</void>
								<void method="addSeparator" />
								<void method="add">
									<object id="menuoptions" class="javax.swing.JMenuItem">
										<object idref="s26" />
									</object>
								</void>
							</object>
						</void>
						<void method="add">
							<object id="menulast" class="javax.swing.JMenu">
								<object idref="s18" />
								<void method="add">
									<object class="javax.swing.JMenuItem">
										<object idref="s24" />
										<void method="addActionListener">
											<object class="vicazh.hyperpool.IURI">
												<object class="java.net.URI">
													<xsl:call-template name="themes.home" />
												</object>
											</object>
										</void>
									</object>
								</void>
								<void method="add">
									<object class="javax.swing.JMenuItem">
										<object idref="s19" />
										<void method="addActionListener">
											<object class="vicazh.hyperpool.IAbout">
												<object id="dialogabout" class="javax.swing.JDialog">
													<object idref="frame" />
													<object idref="s19" />
													<boolean>true</boolean>
													<void method="setResizable">
														<boolean>false</boolean>
													</void>
													<void method="setContentPane">
														<object class="javax.swing.JOptionPane">
															<object idref="panelabout">
																<void property="layout">
																	<object class="javax.swing.BoxLayout">
																		<object idref="panelabout" />
																		<object class="javax.swing.BoxLayout" field="Y_AXIS" />
																	</object>
																</void>
																<void method="add">
																	<object class="javax.swing.JLabel">
																		<object class="vicazh.hyperpool.Start" field="NAME" />
																		<void property="alignmentX">
																			<object class="java.awt.Component" field="CENTER_ALIGNMENT" />
																		</void>
																		<void property="font">
																			<object class="java.awt.Font">
																				<null />
																				<object class="java.awt.Font" field="BOLD" />
																				<int>16</int>
																			</object>
																		</void>
																	</object>
																</void>
																<void method="add">
																	<object class="javax.swing.JLabel">
																		<object class="vicazh.hyperpool.Start" field="VERSION" />
																		<void property="alignmentX">
																			<object class="java.awt.Component" field="CENTER_ALIGNMENT" />
																		</void>
																	</object>
																</void>
																<void method="add">
																	<object class="javax.swing.JLabel">
																		<object class="vicazh.hyperpool.Start" field="COPYRIGHT" />
																		<void property="alignmentX">
																			<object class="java.awt.Component" field="CENTER_ALIGNMENT" />
																		</void>
																		<void property="font">
																			<object class="java.awt.Font">
																				<null />
																				<object class="java.awt.Font" field="ITALIC" />
																				<int>10</int>
																			</object>
																		</void>
																	</object>
																</void>
															</object>
															<object class="javax.swing.JOptionPane" field="INFORMATION_MESSAGE" />
															<object class="javax.swing.JOptionPane" field="CLOSED_OPTION" />
														</object>
													</void>
													<void method="pack" />
												</object>
											</object>
										</void>
									</object>
								</void>
							</object>
						</void>
					</object>
				</void>
			</object>
			<object class="java.lang.Runtime" method="getRuntime">
				<void method="addShutdownHook">
					<object class="java.lang.Thread">
						<object idref="user">
							<void method="setComponent">
								<object idref="frame" />
							</void>
							<void method="setPane">
								<object idref="pane" />
							</void>
						</object>
					</object>
				</void>
			</object>
			<object id="com" class="vicazh.hyperpool.ICom">
				<object idref="owner" />
				<object id="meditor" class="vicazh.hyperpool.IEditor">
					<object idref="mtree" />
					<object id="tree" class="vicazh.hyperpool.IServiceTree">
						<object class="javax.swing.tree.DefaultMutableTreeNode">
							<object idref="s37" />
							<xsl:call-template name="services" />
						</object>
						<void method="getSelectionModel">
							<void method="setSelectionMode">
								<object class="javax.swing.tree.TreeSelectionModel" field="SINGLE_TREE_SELECTION" />
							</void>
						</void>
						<void property="border">
							<object class="javax.swing.BorderFactory" method="createEmptyBorder">
								<int>5</int>
								<int>5</int>
								<int>5</int>
								<int>5</int>
							</object>
						</void>
					</object>
					<object id="dialogservices" class="javax.swing.JDialog">
						<object idref="frame" />
						<object idref="s12" />
						<boolean>true</boolean>
						<void method="setResizable">
							<boolean>false</boolean>
						</void>
						<void method="setContentPane">
							<object class="javax.swing.JOptionPane">
								<object class="javax.swing.JPanel">
									<object class="java.awt.BorderLayout" />
									<void property="preferredSize">
										<object class="java.awt.Dimension">
											<int>280</int>
											<int>200</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JScrollPane">
											<object idref="tree" />
										</object>
									</void>
								</object>
								<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
								<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
							</object>
						</void>
						<void method="pack" />
					</object>
					<object idref="owner" />
					<object idref="mpanel" />
					<object idref="menuservice" />
					<object idref="buttonservice" />
					<object idref="menugroup" />
					<object idref="buttongroup" />
					<object idref="menuline" />
					<object idref="buttonline" />
					<object idref="menuselector" />
					<object idref="buttonselector" />
					<object idref="menuup" />
					<object idref="buttonup" />
					<object idref="menudown" />
					<object idref="buttondown" />
					<object idref="menudel" />
					<object idref="buttondel" />
					<object idref="s20" />
					<object idref="s21" />
					<object id="tree" class="vicazh.hyperpool.ISelectorTree">
						<object class="javax.swing.tree.DefaultMutableTreeNode">
							<object idref="s38" />
							<xsl:call-template name="selectors" />
						</object>
						<void method="getSelectionModel">
							<void method="setSelectionMode">
								<object class="javax.swing.tree.TreeSelectionModel" field="SINGLE_TREE_SELECTION" />
							</void>
						</void>
						<void property="border">
							<object class="javax.swing.BorderFactory" method="createEmptyBorder">
								<int>5</int>
								<int>5</int>
								<int>5</int>
								<int>5</int>
							</object>
						</void>
					</object>
					<object id="dialogselectors" class="javax.swing.JDialog">
						<object idref="frame" />
						<object idref="s15" />
						<boolean>true</boolean>
						<void method="setResizable">
							<boolean>false</boolean>
						</void>
						<void method="setContentPane">
							<object class="javax.swing.JOptionPane">
								<object class="javax.swing.JPanel">
									<object class="java.awt.BorderLayout" />
									<void property="preferredSize">
										<object class="java.awt.Dimension">
											<int>280</int>
											<int>200</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JScrollPane">
											<object idref="tree" />
										</object>
									</void>
								</object>
								<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
								<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
							</object>
						</void>
						<void method="pack" />
					</object>
					<object idref="menurename" />
				</object>
				<object id="msave" class="vicazh.hyperpool.IWriter">
					<object id="dialogsave" class="javax.swing.JDialog">
						<object idref="frame" />
						<object idref="s4" />
						<boolean>true</boolean>
						<void method="setResizable">
							<boolean>false</boolean>
						</void>
						<void method="setContentPane">
							<object class="javax.swing.JOptionPane">
								<object idref="s5" />
								<object class="javax.swing.JOptionPane" field="QUESTION_MESSAGE" />
								<object class="javax.swing.JOptionPane" field="YES_NO_CANCEL_OPTION" />
							</object>
						</void>
						<void method="pack" />
					</object>
					<object id="mfc" class="javax.swing.JFileChooser">
						<void method="setAcceptAllFileFilterUsed">
							<boolean>false</boolean>
						</void>
						<void method="setFileFilter">
							<object id="filefilter" class="vicazh.hyperpool.IFileFilter">
								<object class="vicazh.hyperpool.Start" field="FILE_EXT" />
								<object idref="s6" />
							</object>
						</void>
					</object>
					<object idref="frame" />
					<object idref="menusave" />
					<object idref="buttonsave" />
					<object id="dialogreplace" class="javax.swing.JDialog">
						<object idref="frame" />
						<object idref="s4" />
						<boolean>true</boolean>
						<void method="setResizable">
							<boolean>false</boolean>
						</void>
						<void method="setContentPane">
							<object class="javax.swing.JOptionPane">
								<object idref="s27" />
								<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
								<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
							</object>
						</void>
						<void method="pack" />
					</object>
					<object idref="menuexit" />
				</object>
				<object id="dialogconnect" class="javax.swing.JDialog">
					<object idref="frame" />
					<object idref="s31" />
					<boolean>true</boolean>
					<void method="setResizable">
						<boolean>false</boolean>
					</void>
					<void method="setContentPane">
						<object class="javax.swing.JOptionPane">
							<object class="javax.swing.JPanel">
								<object class="java.awt.GridBagLayout" />
								<void method="add">
									<object class="javax.swing.JLabel">
										<object idref="s32" />
									</object>
									<object class="java.awt.GridBagConstraints">
										<int>0</int>
										<int>0</int>
										<int>1</int>
										<int>1</int>
										<double>0</double>
										<double>0</double>
										<object class="java.awt.GridBagConstraints" field="CENTER" />
										<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
										<object id="insets" class="java.awt.Insets">
											<int>2</int>
											<int>5</int>
											<int>2</int>
											<int>5</int>
										</object>
										<int>0</int>
										<int>0</int>
									</object>
								</void>
								<void method="add">
									<object id="text" class="javax.swing.JTextField">
										<string>localhost:9999</string>
										<int>20</int>
										<void method="selectAll" />
									</object>
									<object class="java.awt.GridBagConstraints">
										<int>1</int>
										<int>0</int>
										<int>1</int>
										<int>1</int>
										<double>0</double>
										<double>0</double>
										<object class="java.awt.GridBagConstraints" field="CENTER" />
										<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
										<object idref="insets" />
										<int>0</int>
										<int>0</int>
									</object>
								</void>
							</object>
							<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
							<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
						</object>
					</void>
					<void method="pack" />
				</object>
				<object idref="text" />
				<object id="dialogmsg" class="javax.swing.JDialog">
					<object idref="frame" />
					<object idref="s31" />
					<boolean>true</boolean>
					<void method="setResizable">
						<boolean>false</boolean>
					</void>
					<void method="setContentPane">
						<object class="javax.swing.JOptionPane">
							<object idref="s33" />
							<object class="javax.swing.JOptionPane" field="ERROR_MESSAGE" />
							<object class="javax.swing.JOptionPane" field="CLOSED_OPTION" />
						</object>
					</void>
					<void method="pack" />
				</object>
			</object>
			<object idref="frame">
				<void method="addWindowListener">
					<object idref="msave" />
				</void>
			</object>
			<object idref="menuconnect">
				<void method="addActionListener">
					<object idref="com" />
				</void>
			</object>
			<object idref="menusaveas">
				<void method="addActionListener">
					<object idref="msave" />
				</void>
			</object>
			<object idref="mtree">
				<void method="addTreeSelectionListener">
					<object class="vicazh.hyperpool.IManager">
						<object idref="mpanel" />
					</object>
				</void>
			</object>
			<object id="ui" class="java.util.ArrayList">
				<void method="add">
					<object idref="frame" />
				</void>
				<void method="add">
					<object idref="dialogsave" />
				</void>
				<void method="add">
					<object idref="mfc" />
				</void>
				<void method="add">
					<object id="mfco" class="javax.swing.JFileChooser">
						<void method="addChoosableFileFilter">
							<object idref="filefilter" />
						</void>
					</object>
				</void>
				<void method="add">
					<object idref="dialogabout" />
				</void>
				<void method="add">
					<object idref="dialogservices" />
				</void>
				<void method="add">
					<object idref="dialogselectors" />
				</void>
				<void method="add">
					<object id="dialogstart" class="javax.swing.JDialog">
						<object idref="frame" />
						<object idref="s22" />
						<boolean>true</boolean>
						<void method="setResizable">
							<boolean>false</boolean>
						</void>
						<void method="setContentPane">
							<object class="javax.swing.JOptionPane">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s25" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JScrollPane">
											<object id="list" class="vicazh.hyperpool.IMenuList">
												<array class="vicazh.hyperpool.IResource">
													<xsl:call-template name="starts" />
												</array>
												<void method="setSelectionMode">
													<object class="javax.swing.ListSelectionModel" field="SINGLE_SELECTION" />
												</void>
											</object>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
								<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
								<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
							</object>
						</void>
						<void method="pack" />
					</object>
				</void>
				<void method="add">
					<object idref="dialogreplace" />
				</void>
				<void method="add">
					<object idref="dialogconnect" />
				</void>
				<void method="add">
					<object idref="dialogmsg" />
				</void>
				<void method="add">
					<object id="dialogoptions" class="javax.swing.JDialog">
						<object idref="frame" />
						<object idref="s26" />
						<boolean>true</boolean>
						<void method="setResizable">
							<boolean>false</boolean>
						</void>
						<void method="setContentPane">
							<object class="javax.swing.JOptionPane">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s40" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JPanel">
											<object class="java.awt.BorderLayout" />
											<void method="add">
												<object id="texthome" class="javax.swing.JTextField">
													<int>20</int>
												</object>
											</void>
											<void method="add">
												<object id="buttonbrowse" class="javax.swing.JButton">
													<string>...</string>
													<void property="preferredSize">
														<void id="w" field="width" />
													</void>
													<void property="preferredSize">
														<object class="java.awt.Dimension">
															<object idref="w" />
															<int>-1</int>
														</object>
													</void>
													<void property="actionCommand">
														<string>browse</string>
													</void>
												</object>
												<object class="java.awt.BorderLayout" field="EAST" />
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s39" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JComboBox">
											<array class="vicazh.hyperpool.IThemeReader">
												<xsl:call-template name="themes" />
											</array>
											<void id="modeloptions" property="model" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>1</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
								<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
								<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
							</object>
						</void>
						<void method="pack" />
					</object>
				</void>
			</object>
			<object idref="msave">
				<void method="setCom">
					<object idref="com" />
				</void>
			</object>
			<object idref="meditor">
				<void method="setCom">
					<object idref="com" />
				</void>
			</object>
			<object idref="model">
				<void method="setCom">
					<object idref="com" />
				</void>
			</object>
			<object class="javax.swing.ImageIcon">
				<object idref="logotrayres" />
				<void id="icontray" property="image" />
			</object>
			<object id="window" class="vicazh.hyperpool.IWindow">
				<object idref="mpanel" />
				<string>resources/window.xml</string>
				<object idref="owner" />
				<object idref="menuwin" />
				<object idref="buttonwin" />
				<object id="mlist" class="java.util.HashMap" />
				<object idref="mtree" />
				<object idref="frame" />
				<object idref="icontray" />
				<object class="vicazh.hyperpool.Start" field="NAME" />
				<null />
				<object idref="tray" />
				<object idref="menutray" />
				<object idref="menuwincloseall" />
			</object>
			<object idref="menudel">
				<void method="addActionListener">
					<object idref="window" />
				</void>
			</object>
			<object idref="buttondel">
				<void method="addActionListener">
					<object idref="window" />
				</void>
			</object>
			<object idref="menuoptions">
				<void method="addActionListener">
					<object id="options" class="vicazh.hyperpool.IOptions">
						<object idref="dialogoptions" />
						<object idref="modeloptions" />
						<object idref="ui" />
						<object idref="texthome" />
						<object idref="frame" />
						<object idref="themereader" />
						<object id="fsv" class="vicazh.hyperpool.IFileSystemView">
							<object idref="com" />
						</object>
						<object idref="com" />
					</object>
				</void>
			</object>
			<object idref="buttonbrowse">
				<void method="addActionListener">
					<object idref="options" />
				</void>
			</object>
			<!--object class="javax.swing.ToolTipManager" method="sharedInstance">
				<void method="registerComponent">
					<object idref="mtree" />
				</void>
			</object-->
			<void property="owner">
				<void method="setCom">
					<object idref="com" />
				</void>
				<void method="setChooser">
					<object idref="mfco" />
				</void>
				<void method="setParent">
					<object idref="frame" />
				</void>
				<void method="setWriter">
					<object idref="msave" />
				</void>
				<void method="setCloser">
					<string>resources/close.xml</string>
				</void>
				<void method="setCreator">
					<object idref="s1" />
				</void>
				<void method="setList">
					<object idref="list" />
				</void>
				<void method="setDialog">
					<object idref="dialogstart" />
				</void>
				<void property="parameter">
					<object class="java.util.ArrayList">
						<void method="add">
							<object idref="mtree" />
						</void>
						<void method="add">
							<object idref="mpanel" />
						</void>
						<void method="add">
							<object idref="msave" />
						</void>
						<void method="add">
							<object idref="frame" />
						</void>
						<void method="add">
							<object idref="menusave" />
						</void>
						<void method="add">
							<object idref="menusaveas" />
						</void>
						<void method="add">
							<object idref="menuclose" />
						</void>
						<void method="add">
							<object idref="meditor" />
						</void>
						<void method="add">
							<object idref="mfc" />
						</void>
						<void method="add">
							<object idref="buttonsave" />
						</void>
						<void method="add">
							<object idref="logo" />
						</void>
						<void method="add">
							<object idref="window" />
						</void>
						<void method="add">
							<object idref="mlist" />
						</void>
						<void method="add">
							<object idref="bounds" />
						</void>
						<void method="add">
							<object idref="menuwincloseall" />
						</void>
						<void method="add">
							<object idref="ui" />
						</void>
						<void method="add">
							<object idref="fsv" />
						</void>
					</object>
				</void>
			</void>
			<xsl:call-template name="init" />
            <object class="java.awt.Toolkit" method="getDefaultToolkit">
                <void method="getSystemEventQueue">
                    <void method="push">
                        <object class="vicazh.hyperpool.ITFEventQueue">
                            <object idref="s41" />
                            <object idref="s42" />
                            <object idref="s43" />
                            <object idref="s44" />
                            <object idref="s45" />
                        </object>
                    </void>
                </void>
            </object>
			<xsl:call-template name="themes.splash.close" />
		</java>
	</xsl:template>
	<xsl:template name="project">
		<object id="service" class="vicazh.hyperpool.IProject">
			<void property="name">
				<string>
					<xsl:value-of select="@name" />
				</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<xsl:call-template name="panel" />
		<xsl:apply-templates />
		<object idref="menusaveas">
			<void method="setEnabled">
				<boolean>true</boolean>
			</void>
		</object>
		<object idref="menuclose">
			<void method="setEnabled">
				<boolean>true</boolean>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="create">
		<java>
			<void property="owner">
				<void property="parameter">
					<void id="mtree" index="0" />
					<void id="mpanel" index="1" />
					<void id="menusaveas" index="5" />
					<void id="menuclose" index="6" />
					<void id="meditor" index="7" />
				</void>
			</void>
			<object idref="meditor">
				<void method="setManual">
					<boolean>true</boolean>
				</void>
			</object>
			<xsl:call-template name="project" />
		</java>
	</xsl:template>
	<xsl:template match="hyperpool">
		<java>
			<void property="owner">
				<void property="parameter">
					<void id="mtree" index="0" />
					<void id="mpanel" index="1" />
					<void id="msave" index="2" />
					<void id="frame" index="3" />
					<void id="menusaveas" index="5" />
					<void id="menuclose" index="6" />
					<void id="meditor" index="7" />
					<void id="mfc" index="8" />
					<void id="fsv" index="16" />
				</void>
			</void>
			<xsl:call-template name="project" />
			<void property="owner">
				<void id="tmp" method="getIn" />
			</void>
			<object idref="msave">
				<void method="setOut">
					<object idref="tmp" />
				</void>
			</object>
			<object idref="mfc">
				<void property="selectedFile">
					<object idref="tmp" />
				</void>
			</object>
		</java>
	</xsl:template>
	<xsl:template match="add">
		<java>
			<void property="owner">
				<void property="parameter">
					<void id="mtree" index="0" />
					<void id="mpanel" index="1" />
					<void id="frame" index="3" />
					<void id="menusaveas" index="5" />
					<void id="menuclose" index="6" />
					<void id="meditor" index="7" />
					<void id="fsv" index="16" />
				</void>
			</void>
			<object idref="meditor">
				<void method="setManual">
					<boolean>true</boolean>
				</void>
			</object>
			<xsl:apply-templates />
		</java>
	</xsl:template>
	<xsl:template name="init">
		<object idref="mpanel">
			<void method="removeAll" />
			<void method="repaint" />
		</object>
		<object idref="menusave">
			<void method="setEnabled">
				<boolean>false</boolean>
			</void>
		</object>
		<object idref="buttonsave">
			<void method="setEnabled">
				<boolean>false</boolean>
			</void>
		</object>
		<object idref="menusaveas">
			<void method="setEnabled">
				<boolean>false</boolean>
			</void>
		</object>
		<object idref="menuclose">
			<void method="setEnabled">
				<boolean>false</boolean>
			</void>
		</object>
		<object idref="menuwincloseall">
			<void method="setEnabled">
				<boolean>false</boolean>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="close">
		<java>
			<void property="owner">
				<void property="parameter">
					<void id="mtree" index="0" />
					<void id="mpanel" index="1" />
					<void id="msave" index="2" />
					<void id="menusave" index="4" />
					<void id="menusaveas" index="5" />
					<void id="menuclose" index="6" />
					<void id="meditor" index="7" />
					<void id="buttonsave" index="9" />
					<void id="window" index="11" />
					<void id="menuwincloseall" index="14" />
				</void>
			</void>
			<object idref="msave">
				<void method="setOut">
					<null />
				</void>
			</object>
			<object idref="meditor">
				<void method="stop" />
			</object>
			<object idref="window">
				<void method="stop" />
			</object>
			<xsl:call-template name="init" />
		</java>
	</xsl:template>
	<xsl:template name="panel">
		<object idref="service">
			<void id="code" method="hashCode" />
			<void property="path">
				<string>
					<xsl:value-of select="name()" />
				</string>
			</void>
			<void id="name" method="toString" />
		</object>
		<object idref="mpanel">
			<void method="add">
				<object class="java.lang.String" method="valueOf">
					<object idref="code" />
				</object>
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="vicazh.hyperpool.ITitle">
							<object idref="name" />
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object idref="panel" />
					</void>
				</object>
			</void>
		</object>
		<object idref="meditor">
			<void method="put">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="group">
		<object id="service" class="vicazh.hyperpool.IGroup">
			<void property="name">
				<string>
					<xsl:value-of select="@name" />
				</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<xsl:call-template name="panel" />
		<xsl:apply-templates />
		<object idref="meditor">
			<void method="upGroup" />
		</object>
	</xsl:template>
	<xsl:template match="line">
		<object id="service" class="vicazh.hyperpool.ILine">
			<void property="name">
				<string>
					<xsl:value-of select="@name" />
				</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<xsl:call-template name="panel" />
		<xsl:apply-templates />
		<object idref="meditor">
			<void method="upLine" />
		</object>
	</xsl:template>
	<xsl:template match="window">
		<java>
			<void property="owner">
				<void property="parameter">
					<void id="mtree" index="0" />
					<void id="mpanel" index="1" />
					<void id="frame" index="3" />
					<void id="logo" index="10" />
					<void id="window" index="11" />
					<void id="mlist" index="12" />
					<void id="bounds" index="13" />
					<void id="menuwincloseall" index="14" />
					<void id="ui" index="15" />
				</void>
			</void>
			<object idref="window">
				<void id="p" method="get" />
			</object>
			<object idref="mtree">
				<void method="getLastSelectedPathComponent">
					<void property="userObject">
						<void id="code" method="hashCode" />
						<void id="name" method="toString" />
					</void>
				</void>
			</object>
			<object idref="mpanel">
				<void method="add">
					<object id="h" class="java.lang.String" method="valueOf">
						<object idref="code" />
					</object>
					<object class="javax.swing.JPanel" />
				</void>
			</object>
			<object idref="name">
				<void method="concat">
					<string> - </string>
					<void id="title" method="concat">
						<object class="vicazh.hyperpool.Start" field="NAME" />
					</void>
				</void>
			</object>
			<object id="f" class="javax.swing.JFrame">
				<object idref="title" />
				<void method="setIconImage">
					<object idref="logo" />
				</void>
				<void property="bounds">
					<object idref="bounds" />
				</void>
				<void property="defaultCloseOperation">
					<object class="javax.swing.JFrame" field="DISPOSE_ON_CLOSE" />
				</void>
				<void property="contentPane">
					<void method="add">
						<object idref="p" />
					</void>
				</void>
				<void method="addWindowListener">
					<object class="vicazh.hyperpool.IListener">
						<object idref="mpanel" />
						<object idref="p" />
						<object idref="h" />
						<object idref="mlist">
							<void method="put">
								<object idref="h" />
								<object idref="f" />
							</void>
						</object>
						<object idref="menuwincloseall">
							<void property="enabled">
								<boolean>true</boolean>
							</void>
						</object>
						<object idref="ui">
							<void method="add">
								<object idref="f" />
							</void>
						</object>
						<object idref="mtree" />
					</object>
				</void>
			</object>
			<object idref="f">
				<void property="visible">
					<boolean>true</boolean>
				</void>
			</object>
		</java>
	</xsl:template>
</xsl:stylesheet>
