<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="resources/iapplication.xsl"/>
	<xsl:include href="stream/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/http/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/http/html/resources/iplugin.xsl"/>
	<xsl:include href="themes/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/themes/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/http/themes/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/http/html/themes/resources/iplugin.xsl"/>
	<xsl:template name="objects">
		<xsl:call-template name="hyperpool.stream.objects"/>
		<xsl:call-template name="hyperpool.stream.net.objects"/>
		<xsl:call-template name="hyperpool.stream.net.http.objects"/>
		<xsl:call-template name="hyperpool.stream.net.http.html.objects"/>
		<xsl:call-template name="hyperpool.themes.objects"/>
	</xsl:template>
	<xsl:template name="services">
		<xsl:call-template name="hyperpool.stream.net.http.html.menuservices"/>
	</xsl:template>
	<xsl:template name="selectors">
		<xsl:call-template name="hyperpool.stream.net.http.menuselectors"/>
	</xsl:template>
	<xsl:template name="starts">
		<xsl:call-template name="hyperpool.stream.starts"/>
		<xsl:call-template name="hyperpool.stream.net.starts"/>
		<xsl:call-template name="hyperpool.stream.net.http.starts"/>
		<xsl:call-template name="hyperpool.stream.net.http.html.starts"/>
	</xsl:template>
	<xsl:template name="themes">
		<xsl:call-template name="hyperpool.themes"/>
	</xsl:template>
	<xsl:template name="themes.default">
		<xsl:call-template name="hyperpool.themes.default"/>
	</xsl:template>
	<xsl:template name="themes.logo">
		<xsl:call-template name="hyperpool.themes.logo"/>
	</xsl:template>
	<xsl:template name="themes.logotray">
		<xsl:call-template name="hyperpool.themes.logotray"/>
	</xsl:template>
	<xsl:template name="themes.home">
		<xsl:call-template name="hyperpool.themes.home"/>
	</xsl:template>
	<xsl:template name="themes.splash">
		<xsl:call-template name="hyperpool.themes.splash"/>
	</xsl:template>
	<xsl:template name="themes.splash.close">
		<xsl:call-template name="hyperpool.themes.splash.close"/>
	</xsl:template>
	<xsl:template name="stream.net.stat.objects">
		<xsl:call-template name="hyperpool.stream.net.stat.objects"/>
	</xsl:template>
	<xsl:template name="stream.net.stat.types">
		<xsl:call-template name="hyperpool.stream.net.stat.types"/>
	</xsl:template>
	<xsl:template name="stream.net.http.log.objects">
		<xsl:call-template name="hyperpool.stream.net.http.log.reports"/>
	</xsl:template>
	<xsl:template name="stream.net.http.log.types">
		<xsl:call-template name="hyperpool.stream.net.http.log.types"/>
	</xsl:template>
	<xsl:template name="stream.net.http.html.message.objects">
		<xsl:call-template name="hyperpool.stream.net.http.html.message.objects"/>
	</xsl:template>
	<xsl:template name="stream.net.http.html.message.themes">
		<xsl:call-template name="hyperpool.stream.net.http.html.message.themes"/>
	</xsl:template>
	<xsl:template name="stream.net.http.html.antivirus.objects">
		<xsl:call-template name="hyperpool.stream.net.http.html.antivirus.objects"/>
		<xsl:call-template name="hyperpool.stream.net.http.html.antivirus.reports"/>
	</xsl:template>
	<xsl:template name="stream.net.http.html.antivirus.themes">
		<xsl:call-template name="hyperpool.stream.net.http.html.antivirus.themes"/>
	</xsl:template>
	<xsl:template name="stream.net.http.html.antivirus.types">
		<xsl:call-template name="hyperpool.stream.net.http.html.antivirus.types"/>
	</xsl:template>
	<xsl:template name="save"/>
</xsl:stylesheet>
