<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="hyperpool.stream.net.http.html.bundle">
		<object class="java.lang.Class" method="forName">
			<string>vicazh.hyperpool.stream.net.http.html.Stream</string>
			<void id="loader" method="getClassLoader" />
		</object>
		<object id="bundle" class="java.util.ResourceBundle" method="getBundle">
			<string>vicazh.hyperpool.stream.net.http.html.resources.plugin</string>
			<object class="java.util.Locale" method="getDefault" />
			<object idref="loader" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.switch">
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.net.http.html.SwitchService">
			<xsl:call-template name="id" />
			<object class="vicazh.hyperpool.stream.net.http.ProtocolSelector">
				<void property="list">
					<void method="add">
						<object class="java.util.ArrayList">
							<void method="add">
								<string>ftp</string>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="java.util.ArrayList">
							<void method="add">
								<string>https</string>
							</void>
						</object>
					</void>
				</void>
				<void property="group">
					<object class="vicazh.hyperpool.Group">
						<void property="objects">
							<void method="add">
								<object class="vicazh.hyperpool.Line">
									<void property="object">
										<object class="vicazh.hyperpool.stream.net.http.html.FtpService">
											<string>stream/net/http/html/resources/ftp.xsl</string>
											<object idref="map" />
											<int>3600000</int>
										</object>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="vicazh.hyperpool.Line">
									<void property="object">
										<object class="vicazh.hyperpool.stream.net.http.HttpsService">
											<int>3600000</int>
										</object>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="vicazh.hyperpool.Line">
									<void property="object">
										<object class="vicazh.hyperpool.stream.net.http.HttpService">
											<int>3600000</int>
											<int>10000</int>
										</object>
									</void>
								</object>
							</void>
						</void>
					</object>
				</void>
				<void property="def">
					<int>2</int>
				</void>
			</object>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.tasks">
		<object class="vicazh.hyperpool.stream.net.http.html.TaskService">
			<xsl:call-template name="id" />
			<object class="vicazh.hyperpool.Reader">
				<string>stream/net/http/resources/explorer.xsl</string>
			</object>
			<object class="vicazh.hyperpool.Writer">
				<string>stream/net/http/resources/explorersave.xsl</string>
			</object>
			<string>cache</string>
			<string>base</string>
			<xsl:for-each select="task">
				<void id="t" method="getTask" />
				<void property="tasks">
					<void method="add">
						<object idref="t">
							<void property="address">
								<string>
									<xsl:value-of select="@address" />
								</string>
							</void>
							<void property="level">
								<int>
									<xsl:value-of select="@level" />
								</int>
							</void>
							<void property="start">
								<string>
									<xsl:value-of select="@start" />
								</string>
							</void>
							<void property="threads">
								<int>
									<xsl:value-of select="@threads" />
								</int>
							</void>
							<void property="dir">
								<string>
									<xsl:value-of select="@dir" />
								</string>
							</void>
							<void property="autorun">
								<boolean>
									<xsl:value-of select="@autorun" />
								</boolean>
							</void>
						</object>
					</void>
				</void>
			</xsl:for-each>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.message">
		<xsl:call-template name="stream.net.http.html.message.objects" />
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ContainerService">
			<xsl:call-template name="id" />
			<void property="internal">
				<object class="vicazh.hyperpool.stream.net.http.LocalService">
					<object class="vicazh.hyperpool.stream.net.http.ResourceService">
						<object idref="map" />
					</object>
					<void property="element">
						<object id="ms" class="vicazh.hyperpool.stream.net.http.html.MessageService">
							<void property="text">
								<string>
									<xsl:value-of select="@text" />
								</string>
							</void>
							<void property="theme">
								<string>
									<xsl:value-of select="@theme" />
								</string>
							</void>
							<void property="url">
								<object idref="transformer" />
							</void>
							<void id="id" method="getID" />
						</object>
					</void>
				</object>
			</void>
			<void property="external">
				<object idref="ms" />
			</void>
			<void method="setID">
				<object idref="id" />
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.antivirus">
		<xsl:call-template name="stream.net.http.html.antivirus.objects" />
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ContainerService">
			<xsl:call-template name="id" />
			<void property="internal">
				<object class="vicazh.hyperpool.stream.net.http.LocalService">
					<object class="vicazh.hyperpool.stream.net.http.ResourceService">
						<object idref="map" />
					</object>
					<void property="element">
						<object id="as" class="vicazh.hyperpool.stream.net.http.html.AntivirusService">
							<int>1000</int>
							<int>86400000</int>
							<string>hpa</string>
							<void property="host">
								<string>
									<xsl:value-of select="@host" />
								</string>
							</void>
							<void property="port">
								<int>
									<xsl:value-of select="@port" />
								</int>
							</void>
							<void property="dir">
								<xsl:if test="name(/*)='add'">
									<object class="vicazh.hyperpool.Utils" method="getFileName">
										<string>
											<xsl:value-of select="@dir" />
										</string>
									</object>
								</xsl:if>
								<xsl:if test="name(/*)!='add'">
									<string>
										<xsl:value-of select="@dir" />
									</string>
								</xsl:if>
							</void>
							<void property="date">
								<int>
									<xsl:value-of select="@date" />
								</int>
							</void>
							<void property="buffer">
								<long>
									<xsl:value-of select="@buffer" />
								</long>
							</void>
							<void property="theme">
								<string>
									<xsl:value-of select="@theme" />
								</string>
							</void>
							<void property="url">
								<object idref="transformer" />
							</void>
							<void property="delimiter">
								<string>
									<xsl:value-of select="@delimiter" />
								</string>
							</void>
							<void id="id" method="getID" />
						</object>
					</void>
				</object>
			</void>
			<void property="external">
				<object idref="as" />
			</void>
			<void method="setID">
				<object idref="id" />
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.banners">
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ContainerService">
			<xsl:call-template name="id" />
			<void property="internal">
				<object class="vicazh.hyperpool.stream.net.http.html.BannersService">
					<int>100</int>
					<string>http://local/resources.hyperpool.local/vicazh/hyperpool/stream/net/http/html/resources/block.png</string>
					<void property="banners">
						<xsl:for-each select="banner">
							<void method="add">
								<object class="vicazh.hyperpool.stream.net.http.html.BannersItem">
									<void property="width">
										<int>
											<xsl:value-of select="@width" />
										</int>
									</void>
									<void property="height">
										<int>
											<xsl:value-of select="@height" />
										</int>
									</void>
								</object>
							</void>
						</xsl:for-each>
					</void>
					<void property="element">
						<object id="ls" class="vicazh.hyperpool.stream.net.http.LocalService">
							<object class="vicazh.hyperpool.stream.net.http.ResourceService">
								<object idref="map" />
							</object>
						</object>
					</void>
					<void id="id" method="getID" />
				</object>
			</void>
			<void property="external">
				<object idref="ls" />
			</void>
			<void method="setID">
				<object idref="id" />
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.analyzer">
        <object class="vicazh.hyperpool.stream.ContainerService">
            <xsl:call-template name="id" />
            <void property="internal">
                <object class="vicazh.hyperpool.stream.net.http.html.AnalyzerService">
                    <object id="bs" class="vicazh.hyperpool.stream.net.http.BaseService">
                        <object class="vicazh.hyperpool.Reader">
                            <string>stream/net/http/resources/explorer.xsl</string>
                        </object>
                        <object class="vicazh.hyperpool.Writer">
                            <string>stream/net/http/resources/explorersave.xsl</string>
                        </object>
                        <void property="dir">
                            <xsl:if test="name(/*)='add'">
                                <object class="vicazh.hyperpool.Utils" method="getFileName">
                                    <string>
                                        <xsl:value-of select="@dir" />
                                    </string>
                                </object>
                            </xsl:if>
                            <xsl:if test="name(/*)!='add'">
                                <string>
                                    <xsl:value-of select="@dir" />
                                </string>
                            </xsl:if>
                        </void>
                    </object>
                    <object class="vicazh.hyperpool.stream.net.http.ContentSelector">
                        <void property="list">
                            <void method="add">
                                <object class="java.util.ArrayList">
                                    <void method="add">
                                        <string>text/css</string>
                                    </void>
                                    <void method="add">
                                        <string>image</string>
                                    </void>
                                    <void method="add">
                                        <string>audio</string>
                                    </void>
                                    <void method="add">
                                        <string>video</string>
                                    </void>
                                    <void method="add">
                                        <string>application</string>
                                    </void>
                                </object>
                            </void>
                        </void>
                        <void property="group">
                            <object class="vicazh.hyperpool.Group">
                                <void property="objects">
                                    <void method="add">
                                        <object class="vicazh.hyperpool.Line">
                                            <void property="object">
                                                <object class="vicazh.hyperpool.stream.TerminatorService" />
                                            </void>
                                        </object>
                                    </void>
                                    <void method="add">
                                        <object class="vicazh.hyperpool.Line">
                                            <void property="object">
                                                <object idref="bs">
                                                    <void property="element">
                                                        <object id="ss" class="vicazh.hyperpool.stream.Service" />
                                                    </void>
                                                </object>
                                            </void>
                                        </object>
                                    </void>
                                </void>
                            </object>
                        </void>
                        <void property="def">
                            <int>1</int>
                        </void>
                    </object>
                    <void property="level">
                        <int>
                            <xsl:value-of select="@level" />
                        </int>
                    </void>
                    <void property="threads">
                        <int>
                            <xsl:value-of select="@threads" />
                        </int>
                    </void>
                    <void id="id" method="getID" />
                </object>
            </void>
            <void property="external">
                <object idref="ss" />
            </void>
            <void method="setID">
                <object idref="id" />
            </void>
        </object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.test">
		<object class="vicazh.hyperpool.stream.net.http.html.Service">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
