<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.html.SwitchService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.html.switch />
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.html.TaskService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.html.tasks>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='tasks']/void/object">
				<task>
					<xsl:attribute name="address">
						<xsl:value-of select="void[@property='address']/string" />
					</xsl:attribute>
					<xsl:attribute name="level">
						<xsl:value-of select="sum(void[@property='level']/int)" />
					</xsl:attribute>
					<xsl:attribute name="start">
						<xsl:value-of select="void[@property='start']/string" />
					</xsl:attribute>
					<xsl:attribute name="threads">
						<xsl:value-of select="sum(void[@property='threads']/int)" />
					</xsl:attribute>
					<xsl:attribute name="dir">
						<xsl:value-of select="void[@property='dir']/string" />
					</xsl:attribute>
					<xsl:attribute name="autorun">
						<xsl:value-of select="boolean(void[@property='autorun']/boolean)" />
					</xsl:attribute>
				</task>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.html.tasks>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.html.MessageService']">
		<hyperpool.stream.net.http.html.message>
			<xsl:attribute name="text">
				<xsl:value-of select="void[@property='text']/string" />
			</xsl:attribute>
			<xsl:attribute name="theme">
				<xsl:value-of select="void[@property='theme']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.html.message>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.html.AntivirusService']">
		<hyperpool.stream.net.http.html.antivirus>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string" />
			</xsl:attribute>
			<xsl:attribute name="date">
				<xsl:value-of select="sum(void[@property='date']/int)" />
			</xsl:attribute>
			<xsl:attribute name="delimiter">
				<xsl:value-of select="void[@property='delimiter']/string" />
			</xsl:attribute>
			<xsl:attribute name="host">
				<xsl:value-of select="void[@property='host']/string" />
			</xsl:attribute>
			<xsl:attribute name="port">
				<xsl:value-of select="sum(void[@property='port']/int)" />
			</xsl:attribute>
			<xsl:attribute name="buffer">
				<xsl:value-of select="sum(void[@property='buffer']/long)" />
			</xsl:attribute>
			<xsl:attribute name="theme">
				<xsl:value-of select="void[@property='theme']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.html.antivirus>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.html.BannersService']">
		<hyperpool.stream.net.http.html.banners>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='banners']/void/object">
				<banner>
					<xsl:attribute name="width">
						<xsl:value-of select="sum(void[@property='width']/int)" />
					</xsl:attribute>
					<xsl:attribute name="height">
						<xsl:value-of select="sum(void[@property='height']/int)" />
					</xsl:attribute>
				</banner>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.html.banners>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.html.AnalyzerService']">
		<hyperpool.stream.net.http.html.analyzer>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string" />
			</xsl:attribute>
            <xsl:attribute name="level">
                <xsl:value-of select="sum(void[@property='level']/int)" />
            </xsl:attribute>
            <xsl:attribute name="threads">
                <xsl:value-of select="sum(void[@property='threads']/int)" />
            </xsl:attribute>
		</hyperpool.stream.net.http.html.analyzer>
	</xsl:template>
</xsl:stylesheet>
