<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="hyperpool.stream.net.http.bundle">
		<object class="java.lang.Class" method="forName">
			<string>vicazh.hyperpool.stream.net.http.Stream</string>
			<void id="loader" method="getClassLoader" />
		</object>
		<object id="bundle" class="java.util.ResourceBundle" method="getBundle">
			<string>vicazh.hyperpool.stream.net.http.resources.plugin</string>
			<object class="java.util.Locale" method="getDefault" />
			<object idref="loader" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.reconnect">
		<object class="vicazh.hyperpool.stream.net.http.ReconnectService">
			<xsl:call-template name="id" />
			<void property="retry">
				<int>
					<xsl:value-of select="@retry" />
				</int>
			</void>
			<void property="timeout">
				<int>
					<xsl:value-of select="@timeout" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.explorer">
		<object class="vicazh.hyperpool.stream.net.http.ExplorerService">
			<xsl:call-template name="id" />
			<int>1000</int>
			<object class="vicazh.hyperpool.Reader">
				<string>stream/net/http/resources/explorer.xsl</string>
			</object>
			<object class="vicazh.hyperpool.Writer">
				<string>stream/net/http/resources/explorersave.xsl</string>
			</object>
			<string>cache</string>
			<string>base</string>
			<void property="dir">
				<xsl:if test="name(/*)='add'">
					<object class="vicazh.hyperpool.Utils" method="getFileName">
						<string>
							<xsl:value-of select="@dir" />
						</string>
					</object>
				</xsl:if>
				<xsl:if test="name(/*)!='add'">
					<string>
						<xsl:value-of select="@dir" />
					</string>
				</xsl:if>
			</void>
			<void property="size">
				<long>
					<xsl:value-of select="@size" />
				</long>
			</void>
			<void property="max">
				<long>
					<xsl:value-of select="@max" />
				</long>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.cache">
		<object class="vicazh.hyperpool.stream.net.http.CacheService">
			<xsl:call-template name="id" />
			<object class="vicazh.hyperpool.Reader">
				<string>stream/net/http/resources/explorer.xsl</string>
			</object>
			<string>cache</string>
			<string>base</string>
			<void property="dir">
				<string>
					<xsl:value-of select="@dir" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.monitor">
		<object class="vicazh.hyperpool.stream.net.http.MonitorService">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.trans">
		<object class="vicazh.hyperpool.stream.net.http.TransService">
			<xsl:call-template name="id" />
			<void property="host">
				<string>
					<xsl:value-of select="@host" />
				</string>
			</void>
			<void property="port">
				<int>
					<xsl:value-of select="@port" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.servers">
		<object class="vicazh.hyperpool.stream.net.http.ServersSelector">
			<xsl:call-template name="id" />
			<void property="def">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
			<void property="list">
				<void property="client">
					<double>
						<xsl:value-of select="@clientspeed" />
					</double>
				</void>
				<void property="server">
					<double>
						<xsl:value-of select="@serverspeed" />
					</double>
				</void>
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<void property="list">
				<xsl:for-each select="list">
					<void>
						<xsl:attribute name="index">
							<xsl:value-of select="@index" />
						</xsl:attribute>
						<void property="client">
							<int>
								<xsl:value-of select="@clientpriority" />
							</int>
						</void>
						<void property="server">
							<int>
								<xsl:value-of select="@serverpriority" />
							</int>
						</void>
						<xsl:for-each select="name">
							<void method="add">
								<string>
									<xsl:value-of select="." />
								</string>
							</void>
						</xsl:for-each>
					</void>
				</xsl:for-each>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.ports">
		<object class="vicazh.hyperpool.stream.net.http.PortsSelector">
			<xsl:call-template name="id" />
			<void property="def">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
			<void property="list">
				<void property="client">
					<double>
						<xsl:value-of select="@clientspeed" />
					</double>
				</void>
				<void property="server">
					<double>
						<xsl:value-of select="@serverspeed" />
					</double>
				</void>
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<void property="list">
				<xsl:for-each select="list">
					<void>
						<xsl:attribute name="index">
							<xsl:value-of select="@index" />
						</xsl:attribute>
						<void property="client">
							<int>
								<xsl:value-of select="@clientpriority" />
							</int>
						</void>
						<void property="server">
							<int>
								<xsl:value-of select="@serverpriority" />
							</int>
						</void>
						<xsl:for-each select="value">
							<void method="add">
								<object class="java.lang.Integer">
									<int>
										<xsl:value-of select="." />
									</int>
								</object>
							</void>
						</xsl:for-each>
					</void>
				</xsl:for-each>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.document">
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ContainerService">
			<xsl:call-template name="id" />
			<void property="internal">
				<object class="vicazh.hyperpool.stream.net.http.DocumentService">
					<void property="url">
						<string>
							<xsl:value-of select="@url" />
						</string>
					</void>
					<void property="element">
						<object id="ls" class="vicazh.hyperpool.stream.net.http.LocalService">
							<object class="vicazh.hyperpool.stream.net.http.ResourceService">
								<object idref="map" />
							</object>
						</object>
					</void>
					<void id="id" method="getID" />
				</object>
			</void>
			<void property="external">
				<object idref="ls" />
			</void>
			<void method="setID">
				<object idref="id" />
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.log">
		<object class="vicazh.hyperpool.stream.net.http.LogService">
			<xsl:call-template name="id" />
			<int>1000</int>
			<void property="dir">
				<xsl:if test="name(/*)='add'">
					<object class="vicazh.hyperpool.Utils" method="getFileName">
						<string>
							<xsl:value-of select="@dir" />
						</string>
					</object>
				</xsl:if>
				<xsl:if test="name(/*)!='add'">
					<string>
						<xsl:value-of select="@dir" />
					</string>
				</xsl:if>
			</void>
			<void property="date">
				<int>
					<xsl:value-of select="@date" />
				</int>
			</void>
			<void property="delimiter">
				<string>
					<xsl:value-of select="@delimiter" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.content">
		<object class="vicazh.hyperpool.stream.net.http.ContentSelector">
			<xsl:call-template name="id" />
			<void property="def">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
			<void property="list">
				<void property="server">
					<double>
						<xsl:value-of select="@speed" />
					</double>
				</void>
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<void property="list">
				<xsl:for-each select="list">
					<void>
						<xsl:attribute name="index">
							<xsl:value-of select="@index" />
						</xsl:attribute>
						<void property="server">
							<int>
								<xsl:value-of select="@priority" />
							</int>
						</void>
						<xsl:for-each select="type">
							<void method="add">
								<string>
									<xsl:value-of select="." />
								</string>
							</void>
						</xsl:for-each>
					</void>
				</xsl:for-each>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.agents">
		<object class="vicazh.hyperpool.stream.net.http.AgentsSelector">
			<xsl:call-template name="id" />
			<void property="def">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
			<void property="list">
				<void property="client">
					<double>
						<xsl:value-of select="@clientspeed" />
					</double>
				</void>
				<void property="server">
					<double>
						<xsl:value-of select="@serverspeed" />
					</double>
				</void>
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<void property="list">
				<xsl:for-each select="list">
					<void>
						<xsl:attribute name="index">
							<xsl:value-of select="@index" />
						</xsl:attribute>
						<void property="client">
							<int>
								<xsl:value-of select="@clientpriority" />
							</int>
						</void>
						<void property="server">
							<int>
								<xsl:value-of select="@serverpriority" />
							</int>
						</void>
						<xsl:for-each select="name">
							<void method="add">
								<string>
									<xsl:value-of select="." />
								</string>
							</void>
						</xsl:for-each>
					</void>
				</xsl:for-each>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.setroute">
		<object class="vicazh.hyperpool.stream.net.http.SetRouteService">
			<xsl:call-template name="id" />
			<void property="address">
				<string>
					<xsl:value-of select="@address" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.resetroute">
		<object class="vicazh.hyperpool.stream.net.http.ResetRouteService">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.router">
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ContainerSelector">
			<xsl:call-template name="id" />
			<void property="internal">
				<object class="vicazh.hyperpool.stream.net.http.LocalService">
					<object class="vicazh.hyperpool.stream.net.http.ResourceService">
						<object idref="map" />
					</object>
					<void property="element">
						<object id="rs" class="vicazh.hyperpool.stream.net.http.RouterSelector">
							<void property="def">
								<int>
									<xsl:value-of select="@def" />
								</int>
							</void>
							<void property="list">
								<void property="client">
									<double>
										<xsl:value-of select="@clientspeed" />
									</double>
								</void>
								<void property="server">
									<double>
										<xsl:value-of select="@serverspeed" />
									</double>
								</void>
							</void>
						</object>
					</void>
				</object>
			</void>
			<void property="external">
				<object idref="rs" />
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="rs">
			<void property="list">
				<xsl:for-each select="list">
					<void>
						<xsl:attribute name="index">
							<xsl:value-of select="@index" />
						</xsl:attribute>
						<void property="client">
							<int>
								<xsl:value-of select="@clientpriority" />
							</int>
						</void>
						<void property="server">
							<int>
								<xsl:value-of select="@serverpriority" />
							</int>
						</void>
					</void>
				</xsl:for-each>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.server">
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.net.http.SenderService">
			<xsl:call-template name="id" />
			<object idref="map" />
			<void property="root">
				<string>
					<xsl:value-of select="@root" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.host">
		<object class="vicazh.hyperpool.stream.net.http.HostService">
			<xsl:call-template name="id" />
			<void property="host">
				<string>
					<xsl:value-of select="@name" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.replace">
		<object class="vicazh.hyperpool.Reader">
			<string>stream/net/http/resources/web.xsl</string>
			<void id="map" method="getObject">
				<string>stream/net/http/resources/web.xml</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ContainerService">
			<xsl:call-template name="id" />
			<void property="internal">
				<object class="vicazh.hyperpool.stream.net.http.ReplaceService">
					<void property="regex">
						<string>
							<xsl:value-of select="@regex" />
						</string>
					</void>
					<void property="replacement">
						<string>
							<xsl:value-of select="@replacement" />
						</string>
					</void>
					<void property="element">
						<object id="ls" class="vicazh.hyperpool.stream.net.http.LocalService">
							<object class="vicazh.hyperpool.stream.net.http.ResourceService">
								<object idref="map" />
							</object>
						</object>
					</void>
					<void id="id" method="getID" />
				</object>
			</void>
			<void property="external">
				<object idref="ls" />
			</void>
			<void method="setID">
				<object idref="id" />
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.unpack">
		<object class="vicazh.hyperpool.stream.net.http.UnpackService">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
