<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.ReconnectService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.reconnect>
			<xsl:attribute name="retry">
				<xsl:value-of select="void[@property='retry']/int" />
			</xsl:attribute>
			<xsl:attribute name="timeout">
				<xsl:value-of select="void[@property='timeout']/int" />
			</xsl:attribute>
		</hyperpool.stream.net.http.reconnect>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.ExplorerService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.explorer>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string" />
			</xsl:attribute>
			<xsl:attribute name="size">
				<xsl:value-of select="sum(void[@property='size']/long)" />
			</xsl:attribute>
			<xsl:attribute name="max">
				<xsl:value-of select="sum(void[@property='max']/long)" />
			</xsl:attribute>
		</hyperpool.stream.net.http.explorer>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.CacheService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.cache>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.cache>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.MonitorService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.monitor />
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.TransService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.trans>
			<xsl:attribute name="host">
				<xsl:value-of select="void[@property='host']/string" />
			</xsl:attribute>
			<xsl:attribute name="port">
				<xsl:value-of select="void[@property='port']/int" />
			</xsl:attribute>
		</hyperpool.stream.net.http.trans>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.ServersSelector']">
		<xsl:apply-templates select="void[@property='group']" />
		<hyperpool.stream.net.http.servers>
			<xsl:attribute name="def">
				<xsl:value-of select="sum(void[@property='def']/int)" />
			</xsl:attribute>
			<xsl:attribute name="clientspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='client']/double)" />
			</xsl:attribute>
			<xsl:attribute name="serverspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='server']/double)" />
			</xsl:attribute>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='list']/void[@index]">
				<list>
					<xsl:attribute name="index">
						<xsl:value-of select="@index" />
					</xsl:attribute>
					<xsl:attribute name="clientpriority">
						<xsl:value-of select="sum(void[@property='client']/int)" />
					</xsl:attribute>
					<xsl:attribute name="serverpriority">
						<xsl:value-of select="sum(void[@property='server']/int)" />
					</xsl:attribute>
					<xsl:text>
					</xsl:text>
					<xsl:for-each select="void[@method='add']">
						<name>
							<xsl:value-of select="string" />
						</name>
						<xsl:text>
						</xsl:text>
					</xsl:for-each>
				</list>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.servers>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.PortsSelector']">
		<xsl:apply-templates select="void[@property='group']" />
		<hyperpool.stream.net.http.ports>
			<xsl:attribute name="def">
				<xsl:value-of select="sum(void[@property='def']/int)" />
			</xsl:attribute>
			<xsl:attribute name="clientspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='client']/double)" />
			</xsl:attribute>
			<xsl:attribute name="serverspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='server']/double)" />
			</xsl:attribute>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='list']/void[@index]">
				<list>
					<xsl:attribute name="index">
						<xsl:value-of select="@index" />
					</xsl:attribute>
					<xsl:attribute name="clientpriority">
						<xsl:value-of select="sum(void[@property='client']/int)" />
					</xsl:attribute>
					<xsl:attribute name="serverpriority">
						<xsl:value-of select="sum(void[@property='server']/int)" />
					</xsl:attribute>
					<xsl:text>
					</xsl:text>
					<xsl:for-each select="void[@method='add']">
						<value>
							<xsl:value-of select="int" />
						</value>
						<xsl:text>
						</xsl:text>
					</xsl:for-each>
				</list>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.ports>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.DocumentService']">
		<hyperpool.stream.net.http.document>
			<xsl:attribute name="url">
				<xsl:value-of select="void[@property='url']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.document>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.LogService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.log>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string" />
			</xsl:attribute>
			<xsl:attribute name="date">
				<xsl:value-of select="sum(void[@property='date']/int)" />
			</xsl:attribute>
			<xsl:attribute name="delimiter">
				<xsl:value-of select="void[@property='delimiter']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.log>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.ContentSelector']">
		<xsl:apply-templates select="void[@property='group']" />
		<hyperpool.stream.net.http.content>
			<xsl:attribute name="def">
				<xsl:value-of select="sum(void[@property='def']/int)" />
			</xsl:attribute>
			<xsl:attribute name="speed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='server']/double)" />
			</xsl:attribute>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='list']/void[@index]">
				<list>
					<xsl:attribute name="index">
						<xsl:value-of select="@index" />
					</xsl:attribute>
					<xsl:attribute name="priority">
						<xsl:value-of select="sum(void[@property='server']/int)" />
					</xsl:attribute>
					<xsl:text>
					</xsl:text>
					<xsl:for-each select="void[@method='add']">
						<type>
							<xsl:value-of select="string" />
						</type>
						<xsl:text>
						</xsl:text>
					</xsl:for-each>
				</list>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.content>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.AgentsSelector']">
		<xsl:apply-templates select="void[@property='group']" />
		<hyperpool.stream.net.http.agents>
			<xsl:attribute name="def">
				<xsl:value-of select="sum(void[@property='def']/int)" />
			</xsl:attribute>
			<xsl:attribute name="clientspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='client']/double)" />
			</xsl:attribute>
			<xsl:attribute name="serverspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='server']/double)" />
			</xsl:attribute>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='list']/void[@index]">
				<list>
					<xsl:attribute name="index">
						<xsl:value-of select="@index" />
					</xsl:attribute>
					<xsl:attribute name="clientpriority">
						<xsl:value-of select="sum(void[@property='client']/int)" />
					</xsl:attribute>
					<xsl:attribute name="serverpriority">
						<xsl:value-of select="sum(void[@property='server']/int)" />
					</xsl:attribute>
					<xsl:text>
					</xsl:text>
					<xsl:for-each select="void[@method='add']">
						<name>
							<xsl:value-of select="string" />
						</name>
						<xsl:text>
						</xsl:text>
					</xsl:for-each>
				</list>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.agents>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.SetRouteService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.setroute>
			<xsl:attribute name="address">
				<xsl:value-of select="void[@property='address']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.setroute>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.ResetRouteService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.resetroute />
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.RouterSelector']">
		<xsl:apply-templates select="void[@property='group']" />
		<hyperpool.stream.net.http.router>
			<xsl:attribute name="def">
				<xsl:value-of select="sum(void[@property='def']/int)" />
			</xsl:attribute>
			<xsl:attribute name="clientspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='client']/double)" />
			</xsl:attribute>
			<xsl:attribute name="serverspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='server']/double)" />
			</xsl:attribute>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='list']/void[@index]">
				<list>
					<xsl:attribute name="index">
						<xsl:value-of select="@index" />
					</xsl:attribute>
					<xsl:attribute name="clientpriority">
						<xsl:value-of select="sum(void[@property='client']/int)" />
					</xsl:attribute>
					<xsl:attribute name="serverpriority">
						<xsl:value-of select="sum(void[@property='server']/int)" />
					</xsl:attribute>
				</list>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.http.router>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.SenderService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.server>
			<xsl:attribute name="root">
				<xsl:value-of select="void[@property='root']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.server>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.HostService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.host>
			<xsl:attribute name="name">
				<xsl:value-of select="void[@property='host']/string" />
			</xsl:attribute>
		</hyperpool.stream.net.http.host>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.ReplaceService']">
		<hyperpool.stream.net.http.replace>
			<xsl:attribute name="regex">
                <xsl:value-of select="void[@property='regex']/string" />
            </xsl:attribute>
			<xsl:attribute name="replacement">
                <xsl:value-of select="void[@property='replacement']/string" />
            </xsl:attribute>
		</hyperpool.stream.net.http.replace>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.http.UnpackService']">
		<xsl:apply-templates select="void[@property='element']" />
		<hyperpool.stream.net.http.unpack />
	</xsl:template>
</xsl:stylesheet>
