<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="stream/net/resources/plugin.xsl" />
	<xsl:template name="hyperpool.stream.net.objects">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="hyperpool.stream.net.s1" method="getString">
				<string>out</string>
			</void>
			<void id="hyperpool.stream.net.s3" method="getString">
				<string>in</string>
			</void>
			<void id="hyperpool.stream.net.s4" method="getString">
				<string>clients</string>
			</void>
			<void id="hyperpool.stream.net.s5" method="getString">
				<string>mapSource</string>
			</void>
			<void id="hyperpool.stream.net.s7" method="getString">
				<string>udpout</string>
			</void>
			<void id="hyperpool.stream.net.s8" method="getString">
				<string>udpin</string>
			</void>
			<void id="hyperpool.stream.net.s9" method="getString">
				<string>udpmapSource</string>
			</void>
			<void id="hyperpool.stream.net.s11" method="getString">
				<string>stat</string>
			</void>
			<void id="hyperpool.stream.net.s12" method="getString">
				<string>connections</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.Reader">
			<string>resources/istart.xsl</string>
			<void id="hyperpool.stream.net.s6" method="getObject">
				<object idref="hyperpool.stream.net.s5" />
			</void>
			<void id="hyperpool.stream.net.s10" method="getObject">
				<object idref="hyperpool.stream.net.s9" />
			</void>
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.menuservices">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<void method="add">
							<object class="javax.swing.tree.DefaultMutableTreeNode">
								<string>net</string>
								<xsl:call-template name="hyperpool.stream.net.services" />
							</object>
						</void>
						<xsl:call-template name="hyperpool.stream.services" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.services">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s1" />
					<string>stream/net/resources/out.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s3" />
					<string>stream/net/resources/in.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s7" />
					<string>stream/net/resources/udpout.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s8" />
					<string>stream/net/resources/udpin.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s11" />
					<string>stream/net/resources/stat.xml</string>
				</object>
			</object>
		</void>
		<!-- void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s12" />
					<string>stream/net/resources/connections.xml</string>
				</object>
			</object>
		</void-->
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.menuselectors">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<void method="add">
							<object class="javax.swing.tree.DefaultMutableTreeNode">
								<string>net</string>
								<xsl:call-template name="hyperpool.stream.net.selectors" />
							</object>
						</void>
						<xsl:call-template name="hyperpool.stream.selectors" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.selectors">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.s4" />
					<string>stream/net/resources/clients.xml</string>
				</object>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.starts">
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.s6" />
			<object idref="hyperpool.stream.net.s5" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.s10" />
			<object idref="hyperpool.stream.net.s9" />
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.out">
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="texthost" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@host" />
							</string>
							<int>10</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s2" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="textport" class="javax.swing.JFormattedTextField">
							<object class="javax.swing.text.NumberFormatter">
								<object class="java.text.DecimalFormat">
									<string>0</string>
								</object>
								<void property="valueClass">
									<class>java.lang.Integer</class>
								</void>
							</object>
							<void property="value">
								<object class="java.lang.Integer">
									<int>
										<xsl:value-of select="@port" />
									</int>
								</object>
							</void>
							<void property="columns">
								<int>5</int>
							</void>
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.IOutService">
			<object idref="s4" />
			<object idref="texthost" />
			<object idref="textport" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.out">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>remoteAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>remotePort</string>
			</void>
			<void id="s3" method="getString">
				<string>apply</string>
			</void>
			<void id="s4" method="getString">
				<string>out</string>
			</void>
		</object>
		<xsl:call-template name="hyperpool.stream.net.out" />
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.in">
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="texthost" class="javax.swing.JTextField">
							<int>10</int>
							<void property="editable">
								<boolean>false</boolean>
							</void>
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s2" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="textport" class="javax.swing.JFormattedTextField">
							<object class="javax.swing.text.NumberFormatter">
								<object class="java.text.DecimalFormat">
									<string>0</string>
								</object>
								<void property="valueClass">
									<class>java.lang.Integer</class>
								</void>
							</object>
							<void property="value">
								<object class="java.lang.Integer">
									<int>
										<xsl:value-of select="@port" />
									</int>
								</object>
							</void>
							<void property="columns">
								<int>5</int>
							</void>
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.IInService">
			<object idref="s4" />
			<object idref="texthost" />
			<object idref="textport" />
			<object idref="buttonok" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s4" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JOptionPane" field="ERROR_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="CLOSED_OPTION" />
					</object>
				</void>
			</object>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.in">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>localAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>localPort</string>
			</void>
			<void id="s3" method="getString">
				<string>apply</string>
			</void>
			<void id="s4" method="getString">
				<string>in</string>
			</void>
		</object>
		<xsl:call-template name="hyperpool.stream.net.in" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.clients">
		<xsl:call-template name="hyperpool.stream.priorities.prepare" />
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>client</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s4" method="getString">
				<string>auto</string>
			</void>
			<void id="s5" method="getString">
				<string>add</string>
			</void>
			<void id="s6" method="getString">
				<string>remove</string>
			</void>
			<void id="s7" method="getString">
				<string>clients</string>
			</void>
			<void id="s8" method="getString">
				<string>client</string>
			</void>
			<void id="s9" method="getString">
				<string>server</string>
			</void>
			<void id="s10" method="getString">
				<string>priorities</string>
			</void>
			<void id="s11" method="getString">
				<string>lines</string>
			</void>
			<void id="s12" method="getString">
				<string>outgoing</string>
			</void>
			<void id="s13" method="getString">
				<string>incoming</string>
			</void>
			<void id="s15" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s16" method="getString">
				<string>apply</string>
			</void>
			<void id="s21" method="getString">
				<string>clientSpeed</string>
			</void>
			<void id="s22" method="getString">
				<string>serverSpeed</string>
			</void>
			<void id="s23" method="getString">
				<string>client%</string>
			</void>
			<void id="s24" method="getString">
				<string>server%</string>
			</void>
			<void id="s25" method="getString">
				<string>options</string>
			</void>
			<void id="s26" method="getString">
				<string>statFile</string>
			</void>
			<void id="s27" method="getString">
				<string>baseLine</string>
			</void>
			<void id="s28" method="getString">
				<string>size</string>
			</void>
			<void id="s29" method="getString">
				<string>mb</string>
			</void>
			<void id="s30" method="getString">
				<string>size</string>
			</void>
			<void id="s31" method="getString">
				<string>loaded</string>
			</void>
			<void id="s32" method="getString">
				<string>%</string>
			</void>
			<void id="s33" method="getString">
				<string>reset</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JTabbedPane">
			<void method="addTab">
				<object idref="s11" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
								<int>20</int>
								<int>20</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s3" />
								</object>
							</void>
							<void method="add">
								<object id="defbox" class="javax.swing.JComboBox">
									<object id="defmodel" class="vicazh.hyperpool.stream.net.IClientsDefModel">
										<object id="data" class="java.util.ArrayList">
											<xsl:for-each select="list">
												<xsl:for-each select="name">
													<void method="add">
														<object class="vicazh.hyperpool.stream.net.ClientsItem">
															<void property="name">
																<string>
																	<xsl:value-of select="." />
																</string>
															</void>
															<void property="size">
																<long>
																	<xsl:value-of select="@size" />
																</long>
															</void>
														</object>
													</void>
												</xsl:for-each>
											</xsl:for-each>
										</object>
									</object>
								</object>
							</void>
							<void method="add">
								<object id="buttonauto" class="javax.swing.JCheckBox">
									<object idref="s4" />
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="table" class="javax.swing.JTable">
								<object id="model" class="vicazh.hyperpool.stream.net.IClientsModel">
									<object idref="s1" />
									<object idref="s30" />
									<object idref="s31" />
									<object idref="s32" />
									<object idref="s2" />
									<object idref="data" />
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>90</int>
										</void>
									</void>
									<void method="getColumn">
										<int>2</int>
										<void method="setPreferredWidth">
											<int>100</int>
										</void>
									</void>
									<void method="getColumn">
										<int>3</int>
										<void method="setCellRenderer">
											<object id="r" class="vicazh.hyperpool.stream.IBarRenderer">
												<object id="bar" class="javax.swing.JProgressBar">
													<void method="setStringPainted">
														<boolean>true</boolean>
													</void>
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>4</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object id="valmodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
												</object>
											</object>
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonadd" class="vicazh.hyperpool.IButton">
									<string>addIcon</string>
									<void property="toolTipText">
										<object idref="s5" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonremove" class="vicazh.hyperpool.IButton">
									<string>noIcon</string>
									<string>noDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s6" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonreset" class="vicazh.hyperpool.IButton">
									<string>resetIcon</string>
									<string>resetDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s33" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonoptions" class="vicazh.hyperpool.IButton">
									<string>optionsIcon</string>
									<void property="toolTipText">
										<object idref="s25" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
			<void method="addTab">
				<object idref="s10" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s12" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="textc" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@clientspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s13" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="texts" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@serverspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="ptable" class="javax.swing.JTable">
								<object id="pmodel" class="vicazh.hyperpool.stream.IPrioritiesModel">
									<object idref="s2" />
									<object idref="s8" />
									<object idref="s9" />
									<object idref="s21" />
									<object idref="s22" />
									<object idref="s23" />
									<object idref="s24" />
									<xsl:call-template name="hyperpool.stream.priorities" />
									<double>
										<xsl:value-of select="@clientspeed" />
									</double>
									<double>
										<xsl:value-of select="@serverspeed" />
									</double>
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>2</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>3</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>4</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>5</int>
										<void method="setCellRenderer">
											<object idref="r" />
										</void>
									</void>
									<void method="getColumn">
										<int>6</int>
										<void method="setCellRenderer">
											<object idref="r" />
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonok" class="vicazh.hyperpool.IButton">
									<string>applyIcon</string>
									<string>applyDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s16" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.IClientsSelector">
			<object idref="s7" />
			<object idref="valmodel" />
			<object idref="defbox" />
			<object idref="ptable" />
			<object idref="textc" />
			<object idref="texts" />
			<object idref="buttonok" />
			<object idref="bar" />
			<object idref="table" />
			<object idref="buttonadd" />
			<object idref="buttonremove" />
			<object idref="data" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s25" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s26" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textfile" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s27" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="basebox" class="javax.swing.JComboBox">
									<object id="basemodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s28" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textsize" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Long</class>
										</void>
									</object>
									<void property="columns">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s29" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textfile" />
			<object idref="textsize" />
			<object idref="basebox" />
			<object idref="buttonreset" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonauto">
			<void method="addItemListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="model">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="valmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defbox">
			<void property="selectedIndex">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
		</object>
		<object idref="pmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="basemodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="basebox">
			<void property="selectedIndex">
				<int>
					<xsl:value-of select="@baseindex" />
				</int>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.udpout">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>remoteAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>remotePort</string>
			</void>
			<void id="s3" method="getString">
				<string>apply</string>
			</void>
			<void id="s4" method="getString">
				<string>udpout</string>
			</void>
		</object>
		<xsl:call-template name="hyperpool.stream.net.out" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.udpin">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>localAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>localPort</string>
			</void>
			<void id="s3" method="getString">
				<string>apply</string>
			</void>
			<void id="s4" method="getString">
				<string>udpin</string>
			</void>
		</object>
		<xsl:call-template name="hyperpool.stream.net.in" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.stat">
		<xsl:call-template name="stream.net.stat.objects" />
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>stat</string>
			</void>
			<void id="s2" method="getString">
				<string>clear</string>
			</void>
			<void id="s3" method="getString">
				<string>options</string>
			</void>
			<void id="s4" method="getString">
				<string>storeFiles</string>
			</void>
			<void id="s5" method="getString">
				<string>days</string>
			</void>
			<void id="s6" method="getString">
				<string>messageClear</string>
			</void>
			<void id="s7" method="getString">
				<string>inFolder</string>
			</void>
			<void id="s13" method="getString">
				<string>delimiter</string>
			</void>
			<void id="s15" method="getString">
				<string>period</string>
			</void>
			<void id="s16" method="getString">
				<string>to</string>
			</void>
			<void id="s18" method="getString">
				<string>day</string>
			</void>
			<void id="s19" method="getString">
				<string>week</string>
			</void>
			<void id="s20" method="getString">
				<string>month</string>
			</void>
			<void id="s21" method="getString">
				<string>all</string>
			</void>
			<void id="s22" method="getString">
				<string>calendar</string>
			</void>
			<void id="s23" method="getString">
				<string>create</string>
			</void>
			<void id="s27" method="getString">
				<string>type</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s27" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JComboBox">
									<xsl:call-template name="stream.net.stat.types" />
									<void id="model" property="model" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s15" />
								</object>
							</void>
							<void method="add">
								<object id="b1" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="box" class="javax.swing.JComboBox">
									<void method="addItem">
										<object id="sel" class="vicazh.hyperpool.stream.ILong">
											<object idref="s18" />
											<long>86400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s19" />
											<long>604800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s20" />
											<long>2678400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s21" />
											<object class="java.lang.Long" field="MAX_VALUE" />
										</object>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>3</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="b2" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="start" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s16" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="end" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="NORTH" />
			</void>
			<void method="add">
				<object id="p" class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttoncreate" class="vicazh.hyperpool.IButton">
							<string>playIcon</string>
							<string>playDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s23" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonclear" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.IStatService">
			<object idref="s1" />
			<object idref="buttonclear" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s2" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s6" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="start" />
			<object idref="end" />
			<object idref="box" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s22" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<null />
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
			</object>
			<object idref="b1" />
			<object idref="b2" />
			<object class="javax.swing.JPanel">
				<object class="java.awt.BorderLayout" />
				<void method="add">
					<object id="cp" class="org.jfree.chart.ChartPanel">
						<object id="chart" class="org.jfree.chart.JFreeChart">
							<null />
							<object class="org.jfree.chart.JFreeChart" field="DEFAULT_TITLE_FONT" />
							<object class="org.jfree.chart.plot.CategoryPlot">
								<object class="org.jfree.data.category.SlidingCategoryDataset">
									<object class="org.jfree.data.category.DefaultCategoryDataset" />
									<int>0</int>
									<int>10</int>
								</object>
								<object class="org.jfree.chart.axis.CategoryAxis">
									<void property="labelFont">
										<object id="font" class="javax.swing.UIManager" method="getFont">
											<string>Label.font</string>
										</object>
									</void>
								</object>
								<object class="org.jfree.chart.axis.NumberAxis">
									<void property="labelFont">
										<object idref="font" />
									</void>
									<void property="standardTickUnits">
										<object class="org.jfree.chart.axis.NumberAxis" method="createIntegerTickUnits" />
									</void>
								</object>
								<object class="org.jfree.chart.renderer.category.BarRenderer">
									<void property="baseItemLabelsVisible">
										<boolean>true</boolean>
									</void>
									<void property="baseItemLabelGenerator">
										<object class="org.jfree.chart.labels.StandardCategoryItemLabelGenerator" />
									</void>
									<void property="basePositiveItemLabelPosition">
										<object class="org.jfree.chart.labels.ItemLabelPosition">
											<object class="org.jfree.chart.labels.ItemLabelAnchor" field="OUTSIDE4" />
											<object class="org.jfree.ui.TextAnchor" field="BASELINE_LEFT" />
										</object>
									</void>
									<void property="maximumBarWidth">
										<double>0.04</double>
									</void>
								</object>
								<void property="orientation">
									<object class="org.jfree.chart.plot.PlotOrientation" field="HORIZONTAL" />
								</void>
							</object>
							<boolean>false</boolean>
							<void property="antiAlias">
								<boolean>false</boolean>
							</void>
						</object>
						<boolean>false</boolean>
						<boolean>true</boolean>
						<boolean>true</boolean>
						<boolean>false</boolean>
						<boolean>true</boolean>
						<void method="setMouseZoomable">
							<boolean>false</boolean>
						</void>
						<void id="component" property="popupMenu" />
					</object>
				</void>
				<void method="add">
					<object class="javax.swing.JScrollBar">
						<object class="java.awt.Adjustable" field="VERTICAL" />
						<int>0</int>
						<int>0</int>
						<int>0</int>
						<int>0</int>
						<void id="smodel" property="model" />
					</object>
					<object class="java.awt.BorderLayout" field="EAST" />
				</void>
			</object>
			<object idref="buttoncreate" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s3" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s4" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdate" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Integer</class>
										</void>
									</object>
									<void property="columns">
										<int>3</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s5" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s7" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s13" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdelimiter" class="javax.swing.JTextField">
									<int>5</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
			<object idref="textdate" />
			<object idref="textdelimiter" />
			<object idref="model" />
			<object idref="component" />
			<object idref="chart" />
			<object idref="smodel" />
			<object idref="p" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="box">
			<void property="selectedItem">
				<object idref="sel" />
			</void>
		</object>
		<object class="javax.swing.ButtonGroup">
			<void method="add">
				<object idref="b1">
					<void property="selected">
						<boolean>true</boolean>
					</void>
				</object>
			</void>
			<void method="add">
				<object idref="b2" />
			</void>
		</object>
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.connections">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>connections</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.net.IConnectionsService">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
