<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="hyperpool.stream.net.bundle">
		<object class="java.lang.Class" method="forName">
			<string>vicazh.hyperpool.stream.net.Stream</string>
			<void id="loader" method="getClassLoader" />
		</object>
		<object id="bundle" class="java.util.ResourceBundle" method="getBundle">
			<string>vicazh.hyperpool.stream.net.resources.plugin</string>
			<object class="java.util.Locale" method="getDefault" />
			<object idref="loader" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.out">
		<object class="vicazh.hyperpool.stream.net.OutService">
			<xsl:call-template name="id" />
			<int>3600000</int>
			<void property="host">
				<string>
					<xsl:value-of select="@host" />
				</string>
			</void>
			<void property="port">
				<int>
					<xsl:value-of select="@port" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.in">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>msgPort</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.net.InService">
			<xsl:call-template name="id" />
			<object idref="s1" />
			<int>86400000</int>
			<void property="port">
				<int>
					<xsl:value-of select="@port" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.clients">
		<object class="vicazh.hyperpool.stream.net.ClientsSelector">
			<xsl:call-template name="id" />
			<object class="vicazh.hyperpool.Reader">
				<string>stream/net/resources/clients.xsl</string>
			</object>
			<object class="vicazh.hyperpool.Writer">
				<string>stream/net/resources/clientssave.xsl</string>
			</object>
			<void property="def">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
			<void property="baseIndex">
				<int>
					<xsl:value-of select="@baseindex" />
				</int>
			</void>
			<void property="size">
				<long>
					<xsl:value-of select="@size" />
				</long>
			</void>
			<void property="list">
				<void property="client">
					<double>
						<xsl:value-of select="@clientspeed" />
					</double>
				</void>
				<void property="server">
					<double>
						<xsl:value-of select="@serverspeed" />
					</double>
				</void>
			</void>
			<void property="file">
				<xsl:if test="name(/*)='add'">
					<object class="vicazh.hyperpool.Utils" method="getFileName">
						<string>
							<xsl:value-of select="@file" />
						</string>
					</object>
				</xsl:if>
				<xsl:if test="name(/*)!='add'">
					<string>
						<xsl:value-of select="@file" />
					</string>
				</xsl:if>
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<void property="list">
				<xsl:for-each select="list">
					<void>
						<xsl:attribute name="index">
							<xsl:value-of select="@index" />
						</xsl:attribute>
						<void property="client">
							<int>
								<xsl:value-of select="@clientpriority" />
							</int>
						</void>
						<void property="server">
							<int>
								<xsl:value-of select="@serverpriority" />
							</int>
						</void>
						<xsl:for-each select="name">
							<void method="add">
								<object class="vicazh.hyperpool.stream.net.ClientsItem">
									<void property="name">
										<string>
											<xsl:value-of select="." />
										</string>
									</void>
									<void property="size">
										<long>
											<xsl:value-of select="@size" />
										</long>
									</void>
								</object>
							</void>
						</xsl:for-each>
					</void>
				</xsl:for-each>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.udpin">
		<xsl:call-template name="hyperpool.stream.net.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>msgPort</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.net.UDPInService">
			<xsl:call-template name="id" />
			<object idref="s1" />
			<int>65536</int>
			<void property="port">
				<int>
					<xsl:value-of select="@port" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.udpout">
		<object class="vicazh.hyperpool.stream.net.UDPOutService">
			<xsl:call-template name="id" />
			<int>60000</int>
			<int>65536</int>
			<void property="host">
				<string>
					<xsl:value-of select="@host" />
				</string>
			</void>
			<void property="port">
				<int>
					<xsl:value-of select="@port" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.stat">
		<object class="vicazh.hyperpool.stream.net.StatService">
			<xsl:call-template name="id" />
			<int>1000</int>
			<void property="dir">
				<xsl:if test="name(/*)='add'">
					<object class="vicazh.hyperpool.Utils" method="getFileName">
						<string>
							<xsl:value-of select="@dir" />
						</string>
					</object>
				</xsl:if>
				<xsl:if test="name(/*)!='add'">
					<string>
						<xsl:value-of select="@dir" />
					</string>
				</xsl:if>
			</void>
			<void property="date">
				<int>
					<xsl:value-of select="@date" />
				</int>
			</void>
			<void property="delimiter">
				<string>
					<xsl:value-of select="@delimiter" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.connections">
		<object class="vicazh.hyperpool.stream.net.ConnectionsService">
			<xsl:call-template name="id" />
			<long>600000</long>
			<void property="threads">
				<int>
					<xsl:value-of select="@threads" />
				</int>
			</void>
			<void property="max">
				<int>
					<xsl:value-of select="@max" />
				</int>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
