<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.OutService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.net.out>
			<xsl:attribute name="host">
				<xsl:value-of select="void[@property='host']/string"/>
			</xsl:attribute>
			<xsl:attribute name="port">
				<xsl:value-of select="void[@property='port']/int"/>
			</xsl:attribute>
		</hyperpool.stream.net.out>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.InService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.net.in>
			<xsl:attribute name="port">
				<xsl:value-of select="void[@property='port']/int"/>
			</xsl:attribute>
		</hyperpool.stream.net.in>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.ClientsSelector']">
		<xsl:apply-templates select="void[@property='group']"/>
		<hyperpool.stream.net.clients>
			<xsl:attribute name="def">
				<xsl:value-of select="sum(void[@property='def']/int)"/>
			</xsl:attribute>
			<xsl:attribute name="clientspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='client']/double)"/>
			</xsl:attribute>
			<xsl:attribute name="serverspeed">
				<xsl:value-of select="sum(void[@property='list']/void[@property='server']/double)"/>
			</xsl:attribute>
			<xsl:attribute name="file">
				<xsl:value-of select="void[@property='file']/string"/>
			</xsl:attribute>
			<xsl:attribute name="baseindex">
				<xsl:value-of select="sum(void[@property='baseIndex']/int)"/>
			</xsl:attribute>
			<xsl:attribute name="size">
				<xsl:value-of select="sum(void[@property='size']/long)"/>
			</xsl:attribute>
			<xsl:text>
			</xsl:text>
			<xsl:for-each select="void[@property='list']/void[@index]">
				<list>
					<xsl:attribute name="index">
						<xsl:value-of select="@index"/>
					</xsl:attribute>
					<xsl:attribute name="clientpriority">
						<xsl:value-of select="sum(void[@property='client']/int)"/>
					</xsl:attribute>
					<xsl:attribute name="serverpriority">
						<xsl:value-of select="sum(void[@property='server']/int)"/>
					</xsl:attribute>
					<xsl:text>
					</xsl:text>
					<xsl:for-each select="void[@method='add']">
						<name>
							<xsl:attribute name="size">
								<xsl:value-of select="sum(object/void[@property='size']/long)"/>
							</xsl:attribute>
							<xsl:value-of select="object/void[@property='name']/string"/>
						</name>
						<xsl:text>
						</xsl:text>
					</xsl:for-each>
				</list>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</hyperpool.stream.net.clients>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.UDPOutService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.net.udpout>
			<xsl:attribute name="host">
				<xsl:value-of select="void[@property='host']/string"/>
			</xsl:attribute>
			<xsl:attribute name="port">
				<xsl:value-of select="void[@property='port']/int"/>
			</xsl:attribute>
		</hyperpool.stream.net.udpout>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.UDPInService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.net.udpin>
			<xsl:attribute name="port">
				<xsl:value-of select="void[@property='port']/int"/>
			</xsl:attribute>
		</hyperpool.stream.net.udpin>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.StatService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.net.stat>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string"/>
			</xsl:attribute>
			<xsl:attribute name="date">
				<xsl:value-of select="sum(void[@property='date']/int)"/>
			</xsl:attribute>
			<xsl:attribute name="delimiter">
				<xsl:value-of select="void[@property='delimiter']/string"/>
			</xsl:attribute>
		</hyperpool.stream.net.stat>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.net.ConnectionsService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.net.connections>
			<xsl:attribute name="threads">
				<xsl:value-of select="sum(void[@property='threads']/int)"/>
			</xsl:attribute>
			<xsl:attribute name="max">
				<xsl:value-of select="sum(void[@property='max']/int)"/>
			</xsl:attribute>
		</hyperpool.stream.net.connections>
	</xsl:template>
</xsl:stylesheet>
