<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="stream/resources/plugin.xsl" />
	<xsl:template name="hyperpool.stream.objects">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="hyperpool.stream.s1" method="getString">
				<string>dial</string>
			</void>
			<void id="hyperpool.stream.s2" method="getString">
				<string>speed</string>
			</void>
			<void id="hyperpool.stream.s3" method="getString">
				<string>hours</string>
			</void>
			<void id="hyperpool.stream.s4" method="getString">
				<string>daysweek</string>
			</void>
			<void id="hyperpool.stream.s5" method="getString">
				<string>terminator</string>
			</void>
			<void id="hyperpool.stream.s6" method="getString">
				<string>record</string>
			</void>
			<void id="hyperpool.stream.s11" method="getString">
				<string>random</string>
			</void>
			<void id="hyperpool.stream.s12" method="getString">
				<string>try</string>
			</void>
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.menuservices">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<xsl:call-template name="hyperpool.stream.services" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.services">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s1" />
					<string>stream/resources/dial.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s2" />
					<string>stream/resources/speed.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s5" />
					<string>stream/resources/terminator.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s6" />
					<string>stream/resources/record.xml</string>
				</object>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.menuselectors">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<xsl:call-template name="hyperpool.stream.selectors" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.selectors">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s3" />
					<string>stream/resources/hours.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s4" />
					<string>stream/resources/daysweek.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s11" />
					<string>stream/resources/random.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.s12" />
					<string>stream/resources/try.xml</string>
				</object>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.starts" />
	<xsl:template name="hyperpool.stream.priorities.prepare">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="hyperpool.stream.priorities.s1" method="getString">
				<string>priority9</string>
			</void>
			<void id="hyperpool.stream.priorities.s2" method="getString">
				<string>priority8</string>
			</void>
			<void id="hyperpool.stream.priorities.s3" method="getString">
				<string>priority7</string>
			</void>
			<void id="hyperpool.stream.priorities.s4" method="getString">
				<string>priority6</string>
			</void>
			<void id="hyperpool.stream.priorities.s5" method="getString">
				<string>priority5</string>
			</void>
			<void id="hyperpool.stream.priorities.s6" method="getString">
				<string>priority4</string>
			</void>
			<void id="hyperpool.stream.priorities.s7" method="getString">
				<string>priority3</string>
			</void>
			<void id="hyperpool.stream.priorities.s8" method="getString">
				<string>priority2</string>
			</void>
			<void id="hyperpool.stream.priorities.s9" method="getString">
				<string>priority1</string>
			</void>
			<void id="hyperpool.stream.priorities.s10" method="getString">
				<string>priority0</string>
			</void>
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.priorities">
		<array id="hyperpool.stream.priorities" class="vicazh.hyperpool.stream.IInt">
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s1" />
				<int>9</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s2" />
				<int>8</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s3" />
				<int>7</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s4" />
				<int>6</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s5" />
				<int>5</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s6" />
				<int>4</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s7" />
				<int>3</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s8" />
				<int>2</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s9" />
				<int>1</int>
			</object>
			<object class="vicazh.hyperpool.stream.IInt">
				<object idref="hyperpool.stream.priorities.s10" />
				<int>0</int>
			</object>
		</array>
	</xsl:template>
	<xsl:template match="hyperpool.stream.dial">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>command</string>
			</void>
			<void id="s2" method="getString">
				<string>apply</string>
			</void>
			<void id="s3" method="getString">
				<string>dial</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="textcommand" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@command" />
							</string>
							<int>20</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IDialService">
			<object idref="s3" />
			<object idref="textcommand" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.speed">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>speed</string>
			</void>
			<void id="s2" method="getString">
				<string>client</string>
			</void>
			<void id="s3" method="getString">
				<string>server</string>
			</void>
			<void id="s5" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s6" method="getString">
				<string>outgoing</string>
			</void>
			<void id="s7" method="getString">
				<string>incoming</string>
			</void>
			<void id="s8" method="getString">
				<string>apply</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridLayout">
						<int>1</int>
						<int>0</int>
					</object>
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createTitledBorder">
							<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object id="buttonclient" class="javax.swing.JCheckBox">
									<object idref="s6" />
									<xsl:if test="@client!='-1'">
										<void property="selected">
											<boolean>true</boolean>
										</void>
									</xsl:if>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textclient" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Double</class>
										</void>
									</object>
									<void property="value">
										<xsl:if test="@client='-1'">
											<double>16</double>
										</xsl:if>
										<xsl:if test="@client!='-1'">
											<double>
												<xsl:value-of select="@client" />
											</double>
										</xsl:if>
									</void>
									<void property="columns">
										<int>7</int>
									</void>
									<xsl:if test="@client='-1'">
										<void property="enabled">
											<boolean>false</boolean>
										</void>
									</xsl:if>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s5" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object id="buttonserver" class="javax.swing.JCheckBox">
									<object idref="s7" />
									<xsl:if test="@server!='-1'">
										<void property="selected">
											<boolean>true</boolean>
										</void>
									</xsl:if>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textserver" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Double</class>
										</void>
									</object>
									<void property="value">
										<xsl:if test="@server='-1'">
											<double>32</double>
										</xsl:if>
										<xsl:if test="@server!='-1'">
											<double>
												<xsl:value-of select="@server" />
											</double>
										</xsl:if>
									</void>
									<void property="columns">
										<int>7</int>
									</void>
									<xsl:if test="@server='-1'">
										<void property="enabled">
											<boolean>false</boolean>
										</void>
									</xsl:if>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s5" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="NORTH" />
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createTitledBorder">
							<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
						</object>
					</void>
					<void method="add">
						<object class="org.jfree.chart.ChartPanel">
							<object id="chart" class="org.jfree.chart.JFreeChart">
								<null />
								<object class="org.jfree.chart.JFreeChart" field="DEFAULT_TITLE_FONT" />
								<object class="org.jfree.chart.plot.CombinedDomainXYPlot">
									<object class="org.jfree.chart.axis.DateAxis">
										<void method="setFixedAutoRange">
											<double>300000</double>
										</void>
									</object>
									<void property="gap">
										<double>15</double>
									</void>
									<void method="add">
										<object id="plotclient" class="org.jfree.chart.plot.XYPlot">
											<object class="org.jfree.data.time.TimeSeriesCollection">
												<object class="org.jfree.data.time.TimeSeries">
													<string></string>
													<class>org.jfree.data.time.Millisecond</class>
													<void property="maximumItemCount">
														<int>301</int>
													</void>
												</object>
											</object>
											<null />
											<object class="org.jfree.chart.axis.NumberAxis">
												<object idref="s2" />
												<void property="labelFont">
													<object id="font" class="javax.swing.UIManager" method="getFont">
														<string>Label.font</string>
													</object>
												</void>
												<void property="rangeType">
													<object class="org.jfree.data.RangeType" field="POSITIVE" />
												</void>
												<void property="autoRangeMinimumSize">
													<double>1</double>
												</void>
											</object>
											<object id="renderer" class="org.jfree.chart.renderer.xy.XYAreaRenderer" />
										</object>
									</void>
									<void method="add">
										<object id="plotserver" class="org.jfree.chart.plot.XYPlot">
											<object class="org.jfree.data.time.TimeSeriesCollection">
												<object class="org.jfree.data.time.TimeSeries">
													<string></string>
													<class>org.jfree.data.time.Millisecond</class>
													<void property="maximumItemCount">
														<int>301</int>
													</void>
												</object>
											</object>
											<null />
											<object class="org.jfree.chart.axis.NumberAxis">
												<object idref="s3" />
												<void property="labelFont">
													<object idref="font" />
												</void>
												<void property="rangeType">
													<object class="org.jfree.data.RangeType" field="POSITIVE" />
												</void>
												<void property="autoRangeMinimumSize">
													<double>1</double>
												</void>
											</object>
											<object idref="renderer" />
										</object>
									</void>
								</object>
								<boolean>false</boolean>
							</object>
							<boolean>false</boolean>
							<boolean>true</boolean>
							<boolean>true</boolean>
							<boolean>false</boolean>
							<boolean>true</boolean>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createEmptyBorder">
									<int>3</int>
									<int>0</int>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="setMouseZoomable">
								<boolean>false</boolean>
							</void>
							<void id="component" property="popupMenu" />
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.BorderLayout" />
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridLayout">
										<int>0</int>
										<int>1</int>
									</object>
									<void method="add">
										<object class="javax.swing.JPanel">
											<object class="java.awt.BorderLayout" />
											<void property="border">
												<object class="javax.swing.BorderFactory" method="createEmptyBorder">
													<int>5</int>
													<int>0</int>
													<int>10</int>
													<int>0</int>
												</object>
											</void>
											<void method="add">
												<object id="sliderclient" class="javax.swing.JSlider">
													<object class="javax.swing.JSlider" field="VERTICAL" />
													<void property="maximum">
														<object class="java.lang.Integer" field="MAX_VALUE" />
													</void>
													<void property="value">
														<object class="vicazh.hyperpool.stream.ISpeedService" method="getValue">
															<xsl:if test="@client='-1'">
																<double>16</double>
															</xsl:if>
															<xsl:if test="@client!='-1'">
																<double>
																	<xsl:value-of select="@client" />
																</double>
															</xsl:if>
														</object>
													</void>
													<void property="paintTicks">
														<boolean>true</boolean>
													</void>
													<xsl:if test="@client='-1'">
														<void property="enabled">
															<boolean>false</boolean>
														</void>
													</xsl:if>
												</object>
											</void>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JPanel">
											<object class="java.awt.BorderLayout" />
											<void property="border">
												<object class="javax.swing.BorderFactory" method="createEmptyBorder">
													<int>0</int>
													<int>0</int>
													<int>15</int>
													<int>0</int>
												</object>
											</void>
											<void method="add">
												<object id="sliderserver" class="javax.swing.JSlider">
													<object class="javax.swing.JSlider" field="VERTICAL" />
													<void property="maximum">
														<object class="java.lang.Integer" field="MAX_VALUE" />
													</void>
													<void property="value">
														<object class="vicazh.hyperpool.stream.ISpeedService" method="getValue">
															<xsl:if test="@server='-1'">
																<double>32</double>
															</xsl:if>
															<xsl:if test="@server!='-1'">
																<double>
																	<xsl:value-of select="@server" />
																</double>
															</xsl:if>
														</object>
													</void>
													<void property="paintTicks">
														<boolean>true</boolean>
													</void>
													<xsl:if test="@server='-1'">
														<void property="enabled">
															<boolean>false</boolean>
														</void>
													</xsl:if>
												</object>
											</void>
										</object>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="EAST" />
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s8" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object class="vicazh.hyperpool.stream.ISpeedService" method="set">
			<object idref="sliderclient" />
		</object>
		<object class="vicazh.hyperpool.stream.ISpeedService" method="set">
			<object idref="sliderserver" />
		</object>
		<xsl:if test="@client!='-1'">
			<object class="vicazh.hyperpool.stream.ISpeedService" method="setPlot">
				<object idref="sliderclient" />
				<object idref="plotclient" />
			</object>
		</xsl:if>
		<xsl:if test="@server!='-1'">
			<object class="vicazh.hyperpool.stream.ISpeedService" method="setPlot">
				<object idref="sliderserver" />
				<object idref="plotserver" />
			</object>
		</xsl:if>
		<object id="service" class="vicazh.hyperpool.stream.ISpeedService">
			<object idref="s1" />
			<object idref="chart" />
			<object idref="plotclient" />
			<object idref="plotserver" />
			<object idref="sliderclient" />
			<object idref="sliderserver" />
			<object idref="component" />
			<object idref="buttonclient" />
			<object idref="buttonserver" />
			<object idref="textclient" />
			<object idref="textserver" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.hours">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>hour</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>hour0</string>
			</void>
			<void id="s4" method="getString">
				<string>hour1</string>
			</void>
			<void id="s5" method="getString">
				<string>hour2</string>
			</void>
			<void id="s6" method="getString">
				<string>hour3</string>
			</void>
			<void id="s7" method="getString">
				<string>hour4</string>
			</void>
			<void id="s8" method="getString">
				<string>hour5</string>
			</void>
			<void id="s9" method="getString">
				<string>hour6</string>
			</void>
			<void id="s10" method="getString">
				<string>hour7</string>
			</void>
			<void id="s11" method="getString">
				<string>hour8</string>
			</void>
			<void id="s12" method="getString">
				<string>hour9</string>
			</void>
			<void id="s13" method="getString">
				<string>hour10</string>
			</void>
			<void id="s14" method="getString">
				<string>hour11</string>
			</void>
			<void id="s15" method="getString">
				<string>hour12</string>
			</void>
			<void id="s16" method="getString">
				<string>hour13</string>
			</void>
			<void id="s17" method="getString">
				<string>hour14</string>
			</void>
			<void id="s18" method="getString">
				<string>hour15</string>
			</void>
			<void id="s19" method="getString">
				<string>hour16</string>
			</void>
			<void id="s20" method="getString">
				<string>hour17</string>
			</void>
			<void id="s21" method="getString">
				<string>hour18</string>
			</void>
			<void id="s22" method="getString">
				<string>hour19</string>
			</void>
			<void id="s23" method="getString">
				<string>hour20</string>
			</void>
			<void id="s24" method="getString">
				<string>hour21</string>
			</void>
			<void id="s25" method="getString">
				<string>hour22</string>
			</void>
			<void id="s26" method="getString">
				<string>hour23</string>
			</void>
			<void id="s27" method="getString">
				<string>hours</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JScrollPane">
					<object class="javax.swing.JTable">
						<object id="model" class="vicazh.hyperpool.stream.ITimeModel">
							<object idref="s1" />
							<object idref="s2" />
							<array class="java.lang.String">
								<object idref="s3" />
								<object idref="s4" />
								<object idref="s5" />
								<object idref="s6" />
								<object idref="s7" />
								<object idref="s8" />
								<object idref="s9" />
								<object idref="s10" />
								<object idref="s11" />
								<object idref="s12" />
								<object idref="s13" />
								<object idref="s14" />
								<object idref="s15" />
								<object idref="s16" />
								<object idref="s17" />
								<object idref="s18" />
								<object idref="s19" />
								<object idref="s20" />
								<object idref="s21" />
								<object idref="s22" />
								<object idref="s23" />
								<object idref="s24" />
								<object idref="s25" />
								<object idref="s26" />
							</array>
						</object>
						<void method="setAutoResizeMode">
							<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
						</void>
						<void method="getColumnModel">
							<void method="getColumn">
								<int>0</int>
								<void method="setPreferredWidth">
									<int>150</int>
								</void>
							</void>
							<void method="getColumn">
								<int>1</int>
								<void method="setPreferredWidth">
									<int>200</int>
								</void>
								<void method="setCellEditor">
									<object class="javax.swing.DefaultCellEditor">
										<object class="javax.swing.JComboBox">
											<object id="valmodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
										</object>
									</object>
								</void>
							</void>
						</void>
					</object>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IValSelector">
			<object idref="s27" />
			<object idref="valmodel" />
			<object idref="model" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="model">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="valmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.daysweek">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>dayweek</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s10" method="getString">
				<string>daysweek</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JScrollPane">
					<object class="javax.swing.JTable">
						<object id="model" class="vicazh.hyperpool.stream.IDaysOfWeekModel">
							<object idref="s1" />
							<object idref="s2" />
						</object>
						<void method="setAutoResizeMode">
							<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
						</void>
						<void method="getColumnModel">
							<void method="getColumn">
								<int>0</int>
								<void method="setPreferredWidth">
									<int>150</int>
								</void>
							</void>
							<void method="getColumn">
								<int>1</int>
								<void method="setPreferredWidth">
									<int>200</int>
								</void>
								<void method="setCellEditor">
									<object class="javax.swing.DefaultCellEditor">
										<object class="javax.swing.JComboBox">
											<object id="valmodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
										</object>
									</object>
								</void>
							</void>
						</void>
					</object>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IValSelector">
			<object idref="s10" />
			<object idref="valmodel" />
			<object idref="model" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="model">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="valmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.terminator">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>terminator</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.ITerminatorService">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.record">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>currentSize</string>
			</void>
			<void id="s2" method="getString">
				<string>mb</string>
			</void>
			<void id="s3" method="getString">
				<string>maximumSize</string>
			</void>
			<void id="s4" method="getString">
				<string>clear</string>
			</void>
			<void id="s5" method="getString">
				<string>options</string>
			</void>
			<void id="s6" method="getString">
				<string>record</string>
			</void>
			<void id="s7" method="getString">
				<string>messageClear</string>
			</void>
			<void id="s9" method="getString">
				<string>inFolder</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="textview" class="javax.swing.JFormattedTextField">
							<object class="javax.swing.text.NumberFormatter">
								<void property="valueClass">
									<class>java.lang.Long</class>
								</void>
							</object>
							<void property="columns">
								<int>7</int>
							</void>
							<void property="editable">
								<boolean>false</boolean>
							</void>
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s2" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>2</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonclear" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s4" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s5" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IRecordService">
			<object idref="s6" />
			<object idref="buttonclear" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s4" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s7" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textview" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s5" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s3" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textsize" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Long</class>
										</void>
									</object>
									<void property="columns">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s2" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s9" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
			<object idref="textsize" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.controllistselector">
		<object id="panel" class="javax.swing.JTabbedPane">
			<void method="addTab">
				<object idref="s11" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
								<int>20</int>
								<int>20</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s3" />
								</object>
							</void>
							<void method="add">
								<object id="defbox" class="javax.swing.JComboBox">
									<object id="defmodel" class="vicazh.hyperpool.stream.ISelectorDefModel">
										<object id="data" class="java.util.ArrayList">
											<xsl:for-each select="list">
												<xsl:for-each select="name">
													<void method="add">
														<string>
															<xsl:value-of select="." />
														</string>
													</void>
												</xsl:for-each>
											</xsl:for-each>
										</object>
									</object>
								</object>
							</void>
							<void method="add">
								<object id="buttonauto" class="javax.swing.JCheckBox">
									<object idref="s4" />
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="table" class="javax.swing.JTable">
								<object id="model" class="vicazh.hyperpool.stream.ISelectorModel">
									<object idref="s1" />
									<object idref="s2" />
									<object idref="data" />
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object id="valmodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
												</object>
											</object>
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonadd" class="vicazh.hyperpool.IButton">
									<string>addIcon</string>
									<void property="toolTipText">
										<object idref="s5" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonremove" class="vicazh.hyperpool.IButton">
									<string>noIcon</string>
									<string>noDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s6" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
			<void method="addTab">
				<object idref="s10" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s12" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="textc" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@clientspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s13" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="texts" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@serverspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="ptable" class="javax.swing.JTable">
								<object id="pmodel" class="vicazh.hyperpool.stream.IPrioritiesModel">
									<object idref="s2" />
									<object idref="s8" />
									<object idref="s9" />
									<object idref="s21" />
									<object idref="s22" />
									<object idref="s23" />
									<object idref="s24" />
									<xsl:call-template name="hyperpool.stream.priorities" />
									<double>
										<xsl:value-of select="@clientspeed" />
									</double>
									<double>
										<xsl:value-of select="@serverspeed" />
									</double>
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>2</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>3</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>4</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>5</int>
										<void method="setCellRenderer">
											<object id="r" class="vicazh.hyperpool.stream.IBarRenderer">
												<object id="bar" class="javax.swing.JProgressBar">
													<void method="setStringPainted">
														<boolean>true</boolean>
													</void>
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>6</int>
										<void method="setCellRenderer">
											<object idref="r" />
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonok" class="vicazh.hyperpool.IButton">
									<string>applyIcon</string>
									<string>applyDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s16" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IControlListSelector">
			<object idref="s7" />
			<object idref="valmodel" />
			<object idref="defbox" />
			<object idref="ptable" />
			<object idref="textc" />
			<object idref="texts" />
			<object idref="buttonok" />
			<object idref="bar" />
			<object idref="table" />
			<object idref="buttonadd" />
			<object idref="buttonremove" />
			<object idref="data" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonauto">
			<void method="addItemListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="model">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="valmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defbox">
			<void property="selectedIndex">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
		</object>
		<object idref="pmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.random">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>random</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.IRandomSelector">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.try">
		<xsl:call-template name="hyperpool.stream.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>try</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.ITrySelector">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
