<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="hyperpool.stream.bundle">
		<object class="java.lang.Class" method="forName">
			<string>vicazh.hyperpool.stream.Stream</string>
			<void id="loader" method="getClassLoader" />
		</object>
		<object id="bundle" class="java.util.ResourceBundle" method="getBundle">
			<string>vicazh.hyperpool.stream.resources.plugin</string>
			<object class="java.util.Locale" method="getDefault" />
			<object idref="loader" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.dial">
		<object class="vicazh.hyperpool.stream.DialService">
			<xsl:call-template name="id" />
			<void property="command">
				<string>
					<xsl:value-of select="@command" />
				</string>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.speed">
		<object class="vicazh.hyperpool.stream.SpeedService">
			<xsl:call-template name="id" />
			<void property="client">
				<double>
					<xsl:value-of select="@client" />
				</double>
			</void>
			<void property="server">
				<double>
					<xsl:value-of select="@server" />
				</double>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template name="hyperpool.stream.time">
		<void property="list">
			<xsl:for-each select="list">
				<void>
					<xsl:attribute name="index">
						<xsl:value-of select="@index" />
					</xsl:attribute>
					<xsl:for-each select="value">
						<void method="add">
							<object class="java.lang.Integer">
								<int>
									<xsl:value-of select="." />
								</int>
							</object>
						</void>
					</xsl:for-each>
				</void>
			</xsl:for-each>
		</void>
	</xsl:template>
	<xsl:template match="hyperpool.stream.hours">
		<object class="vicazh.hyperpool.stream.TimeSelector">
			<xsl:call-template name="id" />
			<void property="type">
				<object class="java.util.Calendar" field="HOUR_OF_DAY" />
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<xsl:call-template name="hyperpool.stream.time" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.daysweek">
		<object class="vicazh.hyperpool.stream.TimeSelector">
			<xsl:call-template name="id" />
			<void property="type">
				<object class="java.util.Calendar" field="DAY_OF_WEEK" />
			</void>
		</object>
		<xsl:call-template name="panel" />
		<object idref="service">
			<xsl:call-template name="hyperpool.stream.time" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.terminator">
		<object class="vicazh.hyperpool.stream.TerminatorService">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.record">
		<object class="vicazh.hyperpool.stream.RecordService">
			<xsl:call-template name="id" />
			<int>1000</int>
			<string>client</string>
			<string>server</string>
			<void property="dir">
				<xsl:if test="name(/*)='add'">
					<object class="vicazh.hyperpool.Utils" method="getFileName">
						<string>
							<xsl:value-of select="@dir" />
						</string>
					</object>
				</xsl:if>
				<xsl:if test="name(/*)!='add'">
					<string>
						<xsl:value-of select="@dir" />
					</string>
				</xsl:if>
			</void>
			<void property="size">
				<long>
					<xsl:value-of select="@size" />
				</long>
			</void>
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.random">
		<object class="vicazh.hyperpool.stream.RandomSelector">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.try">
		<object class="vicazh.hyperpool.stream.TrySelector">
			<xsl:call-template name="id" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
