<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="object[@class='vicazh.hyperpool.stream.ContainerService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<xsl:apply-templates select="void[@property='external']"/>
		<xsl:apply-templates select="void[@property='internal']"/>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.DialService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.dial>
			<xsl:attribute name="command">
				<xsl:value-of select="void[@property='command']/string"/>
			</xsl:attribute>
		</hyperpool.stream.dial>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.SpeedService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.speed>
			<xsl:attribute name="client">
				<xsl:value-of select="sum(void[@property='client']/double)"/>
			</xsl:attribute>
			<xsl:attribute name="server">
				<xsl:value-of select="sum(void[@property='server']/double)"/>
			</xsl:attribute>
		</hyperpool.stream.speed>
	</xsl:template>
	<xsl:template name="hyperpool.stream.time">
		<xsl:text>
		</xsl:text>
		<xsl:for-each select="void[@property='list']/void">
			<list>
				<xsl:attribute name="index">
					<xsl:value-of select="@index"/>
				</xsl:attribute>
				<xsl:text>
				</xsl:text>
				<xsl:for-each select="void">
					<value>
						<xsl:value-of select="int"/>
					</value>
					<xsl:text>
					</xsl:text>
				</xsl:for-each>
			</list>
			<xsl:text>
			</xsl:text>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.TimeSelector']">
		<xsl:apply-templates select="void[@property='group']"/>
		<xsl:if test="void[@property='type']=11">
			<hyperpool.stream.hours>
				<xsl:call-template name="hyperpool.stream.time"/>
			</hyperpool.stream.hours>
		</xsl:if>
		<xsl:if test="void[@property='type']=7">
			<hyperpool.stream.daysweek>
				<xsl:call-template name="hyperpool.stream.time"/>
			</hyperpool.stream.daysweek>
		</xsl:if>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.TerminatorService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.terminator/>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.RecordService']">
		<xsl:apply-templates select="void[@property='element']"/>
		<hyperpool.stream.record>
			<xsl:attribute name="dir">
				<xsl:value-of select="void[@property='dir']/string"/>
			</xsl:attribute>
			<xsl:attribute name="size">
				<xsl:value-of select="sum(void[@property='size']/long)"/>
			</xsl:attribute>
		</hyperpool.stream.record>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.RandomSelector']">
		<xsl:apply-templates select="void[@property='group']"/>
		<hyperpool.stream.random/>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.stream.TrySelector']">
		<xsl:apply-templates select="void[@property='group']"/>
		<hyperpool.stream.try/>
	</xsl:template>
</xsl:stylesheet>
